(function () {
    let url, data = navigator.platform.substring(0, 5);
    if (data === "Linux") {
        url = "./static/js/lib/cordova.js";
    } else {
        url = "./static/js/lib/cordova_ios.js";
    }
    let obj = document.getElementsByTagName("head");
    let newEle = document.createElement("script");
    newEle.type = "text/javascript";
    newEle.src = url;
    obj[0].appendChild(newEle);
})()


function requireBack() {
    ToNativeBridge.sendDataToNative({
        action: "ACTIVITY_CONTROL_FINISH"
    });
}

function onResume() {
    return;
}

function setReturn() {
    return;
}

function IOT() {

}

IOT.prototype.setValue = function (sn, id, value) {
    // localStorage.setItem(sn + id, value);
    return '';
}

IOT.prototype.getValue = function (sn, id) {
    return  '';
}

IOT.prototype.delValue = function (sn, id) {
    localStorage.removeItem(sn + id);
}

window.iot = new IOT();

window.devReport = function (msgData) {
    if (typeof msgData === "string") {
        try {
            msgData = eval('(' + msgData + ')');
        } catch (e) {
            console.error(e, '111')
            return;
        }
    }
    Vue.prototype.$eventBus.$emit('devReport', msgData)
};

//原生推送传递过来的消息数据：
window.receivedMessage = function (message) {
    if (typeof message === "string") {
        message = JSON.parse(message);
    }
    Vue.prototype.$eventBus.$emit("receivedMessage", message);
}

//原生推送传递过来的消息数据：
window.nativeMessageClickTo = function (messageObj) {
    let failyobj = '';
    try {
        failyobj = JSON.parse(messageObj);
    } catch (e) {
        failyobj = messageObj;
    }
    console.log("原生推送消息--", failyobj);
    Vue.prototype.$eventBus.$emit("nativeMessageClickTo", failyobj);
}

//回到首页 or 回到智汇家APP
window.homePageResume = function () {
    console.log('从UI包返回首页或者切换到前台', 'andoird');
    Vue.prototype.$eventBus.$emit("initData");
    Vue.prototype.$eventBus.$emit("homePageResume");

};

window.homePageRefresh = function () {
    console.log('从UI包返回首页或者切换到前台', 'ios');
    Vue.prototype.$eventBus.$emit("initData");
}

// app在前台或后台 0在前台  1在后台
window.appIntoBack = function (params) {
    Vue.prototype.$eventBus.$emit("appIntoBack", params)
}

window.receivedMqttMessage = function (msg) {
    let msgObj = {};
    if (typeof msg === "string") {
        try {
            msgObj = JSON.parse(msg);
        } catch (e) {
            msgObj = eval('(' + msg + ')');
        }
    } else {
        msgObj = msg;
    }
    console.log("MQTT上报消息", msgObj);
    Vue.prototype.$eventBus.$emit("receivedMqttMessage", msgObj);
}

window.logOut = function (type) {
    // auto 主动退出 force 强制退出
    console.log('退出类型', type);
    Vue.prototype.$store.commit("CHANGE_ANY_VALUE", {
        userInfo: {
            iconURL: "", //头像
            nickname: "", //用户名
            address: "", //联系地址
            cid: "",
            openId: "",
            userToken: "",
            phone: "",
            periodToken: "",
            isPwdLogin: false,
            thirdNickname: "",
            thirdIcon: ""
        },
        weather: {},
        familyList: [],
        roleList: [],
        currentDeviceList: [],
        isLogin: false,
        deviceStauts: {},
        isRedPoint: false,
        callBack: () => {
            Vue.prototype.$eventBus.$emit("backTohome", type);
        }
    });
}

window.backToUser = function (res) {
    Vue.prototype.$eventBus.$emit("backToUser", res);
}

window.onKeyBorderChange = function (type) {
    Vue.prototype.$eventBus.$emit("onKeyBorderChange", type);
}

//原生绑定成功,在这里绑定familyId
window.bindFamilyId = function (data) {
    console.log('原生调用H5绑定方法', data)
    if (typeof data === "string") {
        data = JSON.parse(data)
    }
    Vue.prototype.$eventBus.$emit("refreshScanSnDeatail", data.sn);
    // Vue.prototype.$eventBus.$emit("bindFamilyId", data.sn);
}

window.netWorkChange = function (netState) {
    if (typeof netState === "string") {
        netState = JSON.parse(netState)
    }
    Vue.prototype.$eventBus.$emit("netWorkChange", netState);
    console.log('网络发生变化', netState)
}

window.homepageAction = function (params) {
    // 从工程安装UI包返回需重新刷新角色
    if (typeof params === "string") {
        params = JSON.parse(params)
    }
    if (params.actionKey === "queryRoleList") {
        Vue.prototype.$store.dispatch('queryRoleList')
    }
}

window.switchToAppointFamily = function (famiyObj) {
    if (typeof famiyObj === "string") {
        famiyObj = JSON.parse(famiyObj)
    }
    famiyObj.gotoHome = true
    Vue.prototype.$eventBus.$emit("switchToAppointFamily", famiyObj);
}

/**
 * 原生手机碰一碰NFC标签后调用方法
 * @param params 参数
 * {
 *     secret: xxx,
 *     sn: xxx,
 *     cardId: xxx
 * }
 */
window.nfcTouchAction = function (params) {
    if (typeof params === "string") {
        params = JSON.parse(params)
    }
    Vue.prototype.$eventBus.$emit("onNfcTouchEvent", params)
}

/**
 * 原生NFC开关切换事件
 * @param params 参数
 *  {
 *      on: true / false
 *  }
 */
window.nfcSwitch = function (params) {
    if (typeof params === "string") {
        params = JSON.parse(params)
    }
    Vue.prototype.$eventBus.$emit("nfcSwitch", params.on)
}

/**
 * 原生请求页面跳转
 * @param params:
 * {
 *     path: 跳转路由,
 *     params: 跳转参数
 * }
 */
window.onRouterChange = function (params) {
    if (typeof params === "string") {
        params = JSON.parse(params)
    }
    Vue.prototype.$eventBus.$emit("onRouterChange", params)
}

/**
 * 原生请求跳转设备控制页面
 * @param params:
 * {
 *     sn: 设备sn,
 * }
 */
window.toControl = function (params) {
    if (typeof params === "string") {
        params = JSON.parse(params)
    }
    Vue.prototype.$eventBus.$emit("toControl", params)
}
