package com.changhong.ippctrl;

//import com.changhong.ippjni.IppCoreJni;


/**
 * 
 * @ClassName: IAirConditionnerFunsets 
 * @Description: 空调基本功能接口
 * @author TODO 用户名及邮箱   
 * @date 2013-3-25 下午04:40:42
 * @author wangjingyu
 * @see #getAirQuality()
 * @see #getAirQualityLevel()
 * @see #getAntiCondensation()
 * @see #getAsistentHot()
 * @see #getAvaragePower()
 * @see #getElecCurrent()
 * @see #getFanDirectionHMode()
 * @see #getFanDirectionVMode()
 * @see #getFanSpeedMode()
 * @see #getFilterReplaceTime()
 * @see #getFreshAir()
 * @see #getFullAutomatic()
 * @see #getFunSpeedMode()
 * @see #getHumidity()
 * @see #getIllumination()
 * @see #getIntelligentMode()
 * @see #getOutdoorTemperature()
 * @see #getPowerMode()
 * @see #getPowerOnTime()
 * @see #getRoomTemperature()
 * @see #getShutDonwTime()
 * @see #getSleep()
 * @see #getTemprature()
 * @see #getTimingPowerOnStatus()
 * @see #getTimingShutDonwStatus()
 * @see #getTotalPower()
 * @see #getWindAsPeopleMove()
 * @see #getWorkMode()
 * 
 * @see #setAntiCondensation(int)
 * @see #setAsistentHot(int)
 * @see #setFanDirectionHMode(int)
 * @see #setFanDirectionVMode(int)
 * @see #setFanSpeedMode(int)
 * @see #setFreshAir(int)
 * @see #setFullAutomatic(int)
 * @see #setIntelligentMode(int)
 * @see #setPowerMode(int)
 * @see #setPowerOnTime(int)
 * @see #setShutDonwTime(int)
 * @see #setSleep(int)
 * @see #setTemprature(double)
 * @see #setTimingPowerOnStatus(int)
 * @see #setTimingShutDonwStatus(int)
 * @see #setWindAsPeopleMove(int)
 * @see #setWorkMode(int) 
 *
 *
 */

public interface IAirConditionnerFunsets extends ICommFunSets
{
    /**
     * 同步设置空调温度
     * 
     * @param temp : 温度值
     * @return true :成功返回true，失败返回false
     */
    boolean setTemprature(double temp);

    /**
     * 同步设置空调温度
     * 
     * @param temp : 温度值
     * @return true :成功返回true，失败返回false
     */
    boolean setTempratureInt(int temp);
    
    /**
     * 同步设置空调风速
     * 
     * @param mode : 风速模式 自动0x01 低风0x02 中风0x03 高风0x04 强力风0x05

     * @return true :成功返回true，失败返回false
     */
    boolean setFanSpeedMode(int mode);

    /**
     * 同步设置空调H风向
     * 
     * @param mode : 开关模式 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setFanDirectionHMode(int mode);

    /**
     * 同步设置空调V风向
     * 
     * @param mode : 开关模式 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setFanDirectionVMode(int mode);

  
   
    /**
     * 同步设置空调辅热
     * 
     * @param mode : 温度值 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setAsistentHot(int mode);

    /**
     * 同步设置空调工作模式 
     * 
     * @param mode : 工作模式 制热0x01 制冷0x02 除湿0x03 送风0x04 自动0x05

     * @return true :成功返回true，失败返回false
     */
    boolean setWorkMode(int mode);

    /**
     * 同步获取空调温度
     * 
     * 
     * 
     * @return 返回空调温度
     */
    double getTemprature();

    /**
     * 同步获取空调温度
     * 
     * 
     * 
     * @return 返回空调温度
     */
    int getTempratureInt();

    
    /**
     * 同步获取空调风速模式
     * 
     * 
     * 
     * @return 返回空调风速模式
     */
    int getFunSpeedMode();

    /**
     * 同步获取空调风向模式
     * 
     * 
     * 
     * @return 返回空调风向模式
     */
    int getFanDirectionHMode();

    /**
     * 同步获取空调风向模式
     * 
     * 
     * 
     * @return 返回空调风向模式
     */
    int getFanDirectionVMode();

   
    /**
     * 同步获取空调辅热模式
     * 
     * 
     * 
     * @return 返回空调辅热模式
     */
    int getAsistentHot();

    /**
     * 同步获取空调工作模式
     * 
     * 
     * 
     * @return 返回空调工作模式
     */
    int getWorkMode();
    /**
     * 同步设置空调全自动模式
     * 
     * @param mode : 全自动模式 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setFullAutomatic(int mode);// 全自动
    /**
     * 同步设置空调空气清新
     * 
     * @param mode : 空气清新 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setFreshAir(int mode);// 空气清新
    /**
     * 同步设置空调睡眠模式
     * 
     * @param mode : 睡眠模式 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setSleep(int mode);// 睡眠
    /**
     * 同步设置空调抗凝露
     * 
     * @param mode : 模式开关 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setAntiCondensation(int mode);// 防凝露
    /**
     * 同步设置空调定时开机模式
     * 
     * @param mode : 模式开关 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setTimingPowerOnStatus(int mode);// 定时开机状态
    /**
     * 同步设置空调定时关机模式
     * 
     * @param mode : 模式开关 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setTimingShutDonwStatus(int mode);// 定时关机状态
    /**
     * 同步设置空调定时开机时间
     * 
     * @param time : 开机时间  0X00HHMMSS
     * @return true :成功返回true，失败返回false
     */
    boolean setPowerOnTime(int time);// 定时开机状态
    /**
     * 同步设置空调定时关机时间
     * 
     * @param mode : 关机时间  0X00HHMMSS
     * @return true :成功返回true，失败返回false
     */
    boolean setShutDonwTime(int time);// 定时关机时间
    /**
     * 同步设置空调风随（逆）人动
     * 
     * @param mode : 取消0x00 风随人动0x01 风逆人动0x02

     * @return true :成功返回true，失败返回false
     */
    boolean setWindAsPeopleMove(int mode);// 风随人动
    /**
     * 同步设置空调智能模式
     * 
     * @param mode : 模式开关 1开 0关
     * @return true :成功返回true，失败返回false
     */
    boolean setIntelligentMode(int mode);// 智能模式
    /**
     * 同步获取空调全自动模式
     * 
     * 
     * 
     * @return 返回空调全自动模式
     */
    int getFullAutomatic();// 全自动
    /**
     * 同步获取空调空气清新模式
     * 
     * 
     * 
     * @return 返回空调空气清新模式
     */
    int getFreshAir();// 空气清新
    /**
     * 同步获取空调睡眠模式
     * 
     * 
     * 
     * @return 返回空调睡眠模式
     */
    int getSleep();// 睡眠
    /**
     * 同步获取空调防凝露模式
     * 
     * 
     * 
     * @return 返回空调防凝露模式
     */
    int getAntiCondensation();// 防凝露
    /**
     * 同步获取空调定时开机状态
     * 
     * 
     * 
     * @return 返回空调定时开机状态
     */
    int getTimingPowerOnStatus();// 定时开机状态
    /**
     * 同步获取空调定时关机状态
     * 
     * 
     * 
     * @return 返回空调定时关机状态
     */
    int getTimingShutDonwStatus();// 定时关机状态
    /**
     * 同步获取空调定时开机时间
     * 
     * 
     * 
     * @return 返回空调定时开机时间
     */
    int getPowerOnTime();// 定时开机时间
    /**
     * 同步获取空调定时关机时间
     * 
     * 
     * 
     * @return 返回空调定时关机时间
     */
    int getShutDonwTime();// 定时关机时间
    /**
     * 同步获取空调 风随人动
     * 
     * 
     * 
     * @return 返回空调 风随人动
     */
    int getWindAsPeopleMove();// 风随人动
    /**
     * 同步获取空调室内温度
     * 
     * 
     * 
     * @return 返回空调室内温度
     */
    double getRoomTemperature();// 室内温度
    
    /**
     * 同步获取空调室内温度
     * 
     * 
     * 
     * @return 返回空调室内温度
     */
    int getRoomTemperatureInt();// 室内温度
    
    /**
     * 同步获取空调电流值
     * 
     * 
     * 
     * @return 返回空调电流值
     */
    double getElecCurrent();// 电流值
    /**
     * 同步获取空调空气质量
     * 
     * 
     * 
     * @return 返回空调空气质量
     */
    int getAirQuality();// 空气质量
    /**
     * 同步获取空调光照
     * 
     * 
     * 
     * @return 返回空调光照
     */
    int getIllumination();// 光照
    /**
     * 同步获取空调湿度
     * 
     * 
     * 
     * @return 返回空调湿度
     */
    int getHumidity();// 湿度
    /**
     * 同步获取空调智能模式
     * 
     * 
     * 
     * @return 返回空调智能模式
     */
    int getIntelligentMode();// 智能模式
    /**
     * 同步获取空气质量等级
     * 
     * 
     * 
     * @return 返回空调空气质量等级
     */
    int getAirQualityLevel();// 空气质量等级
    /**
     * 同步获取滤网更换剩余时间
     * 
     * 
     * 
     * @return 返回滤网更换剩余时间
     */
    int getFilterReplaceTime();// 滤网更换剩余时间
    
    /**
     * 同步设置滤网更换剩余时间
     * 
     * 
     * 
     * @return 返回是否成功
     */
    
    public boolean setResetFilterReplaceTime(int mode);
    /**
     * 同步获取室外温度
     * 
     * 
     * 
     * @return 返回室外温度
     */
    double getOutdoorTemperature();// 室外温度
    
    /**
     * 同步获取室外温度
     * 
     * 
     * 
     * @return 返回室外温度
     */
    int getOutdoorTemperatureInt();// 室外温度
    
    /**
     * 同步获取空调工作模式
     * 
     * 
     * 
     * @return 返回空调工作模式
     */
    int getFanSpeedMode();
    /**
     * 同步获取空调电源模式
     * 
     * 
     * 
     * @return 返回空调电源模式
     */
    int getPowerMode();
    /**
     * 同步获取空调总功
     * 
     * 
     * 
     * @return 返回空调总功
     */
  int getTotalPower();// 总功
  /**
   * 同步获取空调工平均功率
   * 
   * 
   * 
   * @return 返回空调工平均功率
   */
    int getAvaragePower();// 功率
    /**
     * 同步設置空调WIFISSID
     * 
     * 
     * 
     * @return 是否成功
     */
    
    public boolean setWIFISSID(String ssid);
    /**
     * 同步設置空调WIFI PASSWORD
     * 
     * 
     * 
     * @return 是否成功
     */
	public boolean setWIFIPWD(String pwd) ;
	 /**
     * 同步設置空调激活碼
     * 
     * 
     * 
     * @return 是否成功
     */
	public boolean setActivatonCode(String code);
	
	
	
	//****************add by czb at 2014-2-11,pd_ac new interface
	/**
     * 同步設置空调wifi模式
     * 
     * @return 
     * 无法获取	0x00
	 *	AP	0x01
	 *	STA	0x02
     * 
     * 
     */
	int getAcWifiMode();
	/**
	 * 获取空调型号
	 * @return 空调长度String
	 */
	String getAcType();
	/**
	 * 获取空调版本
	 * @return 空调版本String
	 */
	String getAcSocVersion();
	/**
	 * 获取空调序列号
	 * @return 空调序列号String
	 */
	String getAcSerialNumber();
	
	/**
	 * 获取空调软件版本
	 * @return 空调软件版本String
	 */
	String getSoftwareVersion();
	/**
	 * 获取空调摄像头IP
	 * @return 空调空调摄像头IP
	 */	
	String getAcCameraIP();
	
	/**
	 * 获取低噪开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getAcLowSignalNoise();
	
	/**
	 * 获取节能开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getAcEnergySaving();
	
	/**
	 * 获取光感开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getAcLightSensation();
	
	/**
	 * 获取人工开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getManualWork();
	
	/**
	 * 获取无人开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getUNManed();
	
	/**
	 * 获取定时开机重复开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getTimingPowerOn();
	
	/**
	 * 获取定时关机重复开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getTimingPowerOff();
	
	
	/**
	 * 获取实际电加热开关
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getActualAssistentHot();
	
	/**
	 * 获取报警摄像头开关状态
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getAlarmCameralSwitchState();
	
	/**
	 * 获取报警时段开始时间
	 * @parm：time
	 * 00:00	0x0000
	 * 23:59	0x173B
	 * 00:01	0x0001
	 */
	int getAlarmTimeBegin();
	
	
	/**
	 * 获取报警时段结束时间
	 * @parm：time
	 * 00:00	0x0000
	 * 23:59	0x173B
	 * 00:01	0x0001
	 */
	int getAlarmTimeEnd();
	
	/**
	 * 获取语音提醒开关状态
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getVoiceRemindSwitchState();
	
	
	/**
	 * 获取联网低耗模式开关状态
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getConnectedLowConsumptionMode();
	
	/**
	 * 获取电量
	 * @return
	 * 开	0x01
		关	0x00
	 */
	double getPower();
	
	/**
	 * 获取电量
	 * @return
	 * 开	0x01
		关	0x00
	 */
	int getPowerInt();
	
	//set
	
	/**
	 * 设置低噪开关
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setLowSignalNoise(int onoff);
	/**
	 * 设置节能开关
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setEnergySaving(int onoff);
	/**
	 * 设置光感开关
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setLightSensation(int onoff);
	/**
	 * 设置人工开关
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setManualWork(int onoff);
	/**
	 * 设置无人开关
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setUNManed(int onoff);
	/**
	 * 设置定时开机重复
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setTimingPowerOn(int onoff);
	/**
	 * 设置定时关机重复
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setTimingPowerOff(int onoff);
	/**
	 * 设置实际电加热
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setActualAssistentHot(int onoff);
	/**
	 * 设置报警摄像头开关状态
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setAlarmCameralSwitchState(int onoff);
	/**
	 * 设置报警时段开始时间
	 * @parm：time
	 * 00:00	0x0000
	 * 23:59	0x173B
	 * 00:01	0x0001
	 */
	public boolean setAlarmTimeBegin(int time);
	/**
	 * 设置报警时段结束时间
	 * @parm：time
	 * 00:00	0x0000
	 * 23:59	0x173B
	 * 00:01	0x0001
	 */
	public boolean setAlarmTimeEnd(int time);
	/**
	 * 设置语音提醒开关状态
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	public boolean setVoiceRemindSwitchState(int onoff);
	
	/**
	 * 设置联网低耗模式开关状态
	 * @parm onoff
	 * 开	0x01
		关	0x00
	 */
	 public boolean setConnectedLowConsumptionMode(int onoff);
	
	 /**
		 * 设置复位WIFI AP
		 * @parm status
		 * 成功	0x01
		         失败	0x00
		 */
	 public boolean setResetWifiAP(int status);
	
	 /**
		 * 传送语音信息
		 * @parm content 
		 *   语音信息
		 * 成功	0x01
		         失败	0x00
		 */
	 public boolean setTransferVoice(String content);
	
	 
	 /**
	  * 设置系统时间
	  * @parm time
	  *  00:00	0x0000
	  *  23:59	0x173B
	  *  00:01	0x0001
	  */
	 public boolean setSystermTime(int time);
	
	//*****************czb************************//
	
	//**********************************************************************************************************************************
	/* 2014.04.11 
	 * 添加红外新功能接口
	 *zenglin
	 */
	 
//	 /**
//	  * 设置空调风随人动模式
//	  *
//	  * 参数
//	  * mode
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_CANCEL		0x00 取消
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_POSITIVE		0x01 风随人动
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_NEGATIVE		0x02 风逆人动
//	  *
//	  * 返回值
//	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
//	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
//	  *
//	  */
//	 public boolean setWindWForUserFunc(int mode);
//
//	 /**
//	  * 获取空调风随人动模式
//	  *
//	  * 参数
//	  * 无
//	  *
//	  * 返回值
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_CANCEL		0x00 取消
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_POSITIVE		0x01 风随人动
//	  * AIIP_DDF_AC_VAL_WIND_FOR_USER_MODE_NEGATIVE		0x02 风逆人动
//	  *
//	  */
//	 public int getWindWForUserFunc();


	 /**
	  * 获取空调滤网的清洁程度
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * -1 失败
	  * AIIP_DDF_AC_VAL_FILTER_STATE_CLEAN			0x00 滤网清洁
	  * AIIP_DDF_AC_VAL_FILTER_STATE_DIRTR_LITTLE	0x01 滤网有一点脏
	  * AIIP_DDF_AC_VAL_FILTER_STATE_DIRTR			0x02 滤网很脏
	  *
	  */
	 public int getFilterState();

	 /**
	  * 获取房间无人状态
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * 0--无人
	  * 1--有人
	  *-1 失败
	  */
	 public int getNobodyState();


	 /**
	  * 获取空调滤网的提醒方式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * AIIP_DDF_AC_VAL_REMAIN_CANCEL		0x00 不提醒
	  * AIIP_DDF_AC_VAL_REMAIN_APP			0x01 APP提醒
	  * AIIP_DDF_AC_VAL_REMAIN_MSG			0x02 短信提醒
	  *-1 失败
	  */
	 public int getFilterMode();

	 /**
	  * 设置空调滤网的提醒方式
	  *
	  * 参数
	  * value
	  * AIIP_DDF_AC_VAL_REMAIN_CANCEL		0x00 不提醒
	  * AIIP_DDF_AC_VAL_REMAIN_APP			0x01 APP提醒
	  * AIIP_DDF_AC_VAL_REMAIN_MSG			0x02 短信提醒
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setFilterMode(int value);

	 /**
	  * 设置空调滤网提醒时间
	  *
	  * 参数
	  * value
	  * AIIP_DDF_AC_VAL_FILTER_TIME_24		24 24小时提醒
	  * AIIP_DDF_AC_VAL_FILTER_TIME_48		48 48小时提醒
	  * AIIP_DDF_AC_VAL_FILTER_TIME_72		72 72小时提醒
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
	  *
	  */
	 public boolean setFilterTime(int value);

	 /**
	  * 获取空调滤网的提醒方式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * AIIP_DDF_AC_VAL_FILTER_TIME_24		24 每24小时提醒
	  * AIIP_DDF_AC_VAL_FILTER_TIME_48		48 每48小时提醒
	  * AIIP_DDF_AC_VAL_FILTER_TIME_72		72 每72小时提醒
	  *-1 失败
	  */
	 public int getFilterTime();

	 /**
	  * 设置空调修正风速的开关
	  *
	  * 参数
	  * onoff
	  * AIIP_DDF_AC_VAL_WIND_FIXWIND_OFF		0x00 关闭
	  * AIIP_DDF_AC_VAL_WIND_FIXWIND_ON		0x01 打开
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setFixWindMode(int onoff);

	 /**
	  * 获取空调修正风速的开关
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * AIIP_DDF_AC_VAL_WIND_FIXWIND_OFF		0x00 关闭
	  * AIIP_DDF_AC_VAL_WIND_FIXWIND_ON		0x01 打开
	  *-1 失败
	  */
	 public int getFixWindMode();

	 /**
	  * 设置空调儿童保护模式
	  *
	  * 参数
	  * onoff
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setChildPrect(int onoff);

	 /**
	  * 获取空调儿童保护模式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *-1 失败
	  */
	 public int getChildPrect();

	 /**
	  * 设置空调动态分区模式
	  *
	  * 参数
	  * onoff
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setComfortAdj(int onoff);

	 /**
	  * 获取空调动态分区模式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *-1 失败
	  */
	 public int getComfortAdj();

	 /**
	  * 设置空调家庭聚会模式
	  *
	  * 参数
	  * onoff
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setPopDynident(int onoff);

	 /**
	  * 获取空调家庭聚会模式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *-1 失败
	  */
	 public int getPopDynident();

	 /**
	  * 设置空调VIP模式
	  *
	  * 参数
	  * onoff
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 0x01 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 0x00 失败
	  *
	  */
	 public boolean setVipMode(int onoff);

	 /**
	  * 获取空调VIP模式
	  *
	  * 参数
	  * 无
	  *
	  * 返回值
	  * INFRARED_MODE_OFF		0x00 关闭
	  * INFRARED_MODE_ON			0x01 打开
	  *-1 失败
	  */
	 public int getVipMode();

//	 /**
//	  * 设置空调VIP模式各分区的模式
//	  *
//	  * 参数
//	  * sector
//	  * 1/2/3/4/各个分区号
//	  * 参数
//	  * peoplecategory
//	  * 0--未设置
//	  * 1--大人模式
//	  * 2--小孩模式
//	  *
//	  * 返回值
//	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
//	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
//	  *
//	  */
//	public boolean setVipModeAngle(int sector, int peoplecategory);
//
//	 /**
//	  * 获取空调VIP模式第一分区的模式
//	  *
//	  * 参数
//	  * sector
//	  * 1/2/3/4/各个分区号
//	  *
//	  * 返回值
//	  * 0--未设置
//	  * 1--大人模式
//	  * 2--小孩模式
//	  *-1 失败
//	  */
//	public int getVipModeAngle(int sector);

	 /**
	  * 设置空调VIP模式1分区的模式
	  *
	  *
	  * 参数
	  * peoplecategory
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
	  *
	  */
	public boolean setVipModeAngle1( int peoplecategory);

	 /**
	  * 获取空调VIP模式第1分区的模式
	  *
	  * 参数
	  * 
	  *
	  * 返回值
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *-1 失败
	  */
	public int getVipModeAngle1();
	 /**
	  * 设置空调VIP模式2分区的模式
	  *
	  * 参数
	  * 
	  * 参数
	  * peoplecategory
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
	  *
	  */
	public boolean setVipModeAngle2( int peoplecategory);

	 /**
	  * 获取空调VIP模式第2分区的模式
	  *
	  * 参数
	  *
	  *
	  * 返回值
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *-1 失败
	  */
	public int getVipModeAngle2();
	 /**
	  * 设置空调VIP模式3分区的模式
	  *
	  * 参数
	  * 
	  * 参数
	  * peoplecategory
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
	  *
	  */
	public boolean setVipModeAngle3(int peoplecategory);

	 /**
	  * 获取空调VIP模式第3分区的模式
	  *
	  * 参数
	  * 
	  *
	  * 返回值
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *-1 失败
	  */
	public int getVipModeAngle3();
	 /**
	  * 设置空调VIP模式4分区的模式
	  *
	  * 参数
	  *
	  * 参数
	  * peoplecategory
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *
	  * 返回值
	  * AIIP_SAC_MCU_COM_RETURN_OK - 成功
	  * AIIP_SAC_MCU_COM_RETURN_FAILED - 失败
	  *
	  */
	public boolean setVipModeAngle4( int peoplecategory);

	 /**
	  * 获取空调VIP模式第4分区的模式
	  *
	  * 参数
	  * 
	  *
	  * 返回值
	  * 0--未设置
	  * 1--大人模式
	  * 2--小孩模式
	  *-1 失败
	  */
	public int getVipModeAngle4();

	
//**************************2014.04.22   zenglin*********************************************************************************//	
	/**
	 * 设置自适应模式开关
	 * 
	 * 参数 onoff
	 * 0——关
	 * 1——开
	 * 
	 * 返回值
	 * 0——成功
	 * 1——失败
	 */
	public boolean setAdapterMode(int onoff);
	
	/**
	 * 获取自适应模式开关
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 0——未锁定
	 * 1——锁定
	 */
	public int getAdapterMode();
	
	/**
	 * 获取儿童踢被状态
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 0——未踢被
	 * 1——踢被
	 */
	public int getChildKickQuilt();
	
	/**
	 * 获取儿童锁定状态
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 0——未锁定
	 * 1——锁定
	 */
	public int getChildLockMode();
	
	/**
	 * 获取红外阵列参数
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 
	 * String 
	 */
	public String getIRArrayParameters();
	

	//*****************2014.04.28       zenglin**********************************************************//
	
	/**
	 * 设置空气自动清洁开启
	 * 
	 * 参数
	 * onoff
	 * 0  关闭
	 * 1  开启
	 * 
	 * 返回值
	 * 0——失败
	 * 1——成功
	 * 
	 */
	public boolean setAutoAirFresh(int onoff);
	
	/**
	 * 获取空气自动清洁状态
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 0——关闭
	 * 1——开启
	 * 
	 */
	public int getAutoAirFresh();
	
	/**
	 * 设置空气自动清洁运行时间
	 * 
	 * 参数
	 * value
	 * 24  常运行
	 * 1  1h
	 * 2 	2h
	 * 3	3h
	 * 
	 * 
	 * 返回值
	 * 0——失败
	 * 1——成功
	 * 
	 */
	public boolean setAirFreshTime(float value);
	
	/**
	 * 获取空气自动清洁运行时间
	 * 
	 * 参数
	 * 无
	 * 
	 * 
	 * 返回值
	 * 0	失败
	 * 24 常运行
	 * 1  1h
	 * 2 	2h
	 * 3	3h
	 * 
	 */
	public float getAirFreshTime();
	
	/**
	 * 获取空气自动清洁运行剩余时间
	 * 
	 * 参数
	 * 无
	 * 
	 * 
	 * 返回值(秒)
	 * 0	失败
	 * 
	 * 
	 */
	public int getAirFreshLastTime();
	
	/**
	 * 设置自启动PM2.5门限
	 * 
	 * 参数
	 * value
	 * 1/2/3/4
	 * 
	 * 返回值
	 * 0——失败
	 * 1——成功
	 * 
	 */
	public boolean setAutoPMRange(int value);
	
	/**
	 * 获取自启动PM2.5门限
	 * 
	 * 参数
	 *无
	 * 
	 * 返回值
	 * 0——失败
	 * 1/2/3/4
	 * 
	 */
	public int getAutoPMRange();
	
	/**
	 * 获取PM2.5值
	 * 
	 * 参数
	 *无
	 * 
	 * 返回值
	 * 0——失败
	 * 1/2/3/4
	 * 
	 */
	public int getPMLevel();
	
	
	
	/**
	 * 获取功能状态
	 * 
	 * 参数
	 * 无
	 * 
	 * 返回值
	 * 
	 * String 
	 */
	public String getFunctionStatus();
	
	
	//ghy add 20150706
	//IPP 设置
	
	//voiceType 设置语音空调声音类型 1.女生 2.男生 3.儿童 4.四川话
	public boolean setVoiceType(String voiceType);

	//voiceVolume 设置语音空调声音大小 0~100取值
	public boolean setVoiceVolume(int voiceVolume);
	
		//voiceStatus 设置语音空调开启和关闭 0关闭 1开启
	public boolean setVoiceSwitch(int voiceStatus);


	//IPP获取
	
	
	//获取语音空调声音类型 1.女生 2.男生 3.儿童 4.四川话
	public String getVoiceType();

	
	// 获取语音空调声音大小 0~100取值
	public int getVoiceVolume();

	
	//获取语音空调开启和关闭 0关闭 1开启
	public int getVoiceSwitch();
	
	//设置动态分区角度
	public boolean SetComfortAdjAngle(int angle);
	//设置动态分区距离
	public boolean SetComfortAdjDistance(int distance);
	public int GetElecCurrentInt();



	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}
