package com.changhong.ippctrl;



public interface IFridgeFunSets extends ICommFunSets{

    /**
     * 同步设置冰箱冷藏室温度
     * 
     * @param temp
     *            : 温度值
     * @return true :成功返回true，失败返回false
     */

    boolean setColdTemprature(int temp);
    /**
     * 同步设置冰箱冷冻室温度
     * 
     * @param temp
     *            : 温度值
     * @return true :成功返回true，失败返回false
     */
    boolean setFreezeTemprature(int temp);
    /**
     * 同步设置冰箱变温室温度
     * 
     * @param temp
     *            : 温度值
     * @return true :成功返回true，失败返回false
     */
    boolean setVariableTemprature(int temp);
    
    
    /**
	 *设置冰箱工作模式，设置工作模式和对应工作模式的开关值
	 *return
	 * 智能模式	0x00
                       假日模式	0x01
	   LECO	0x02
                       童锁模式	0x03
                       冷藏关闭	0x04
                       变温	0x05
                       速冻	0x06
                      速冷	0x07
	 *
	 */
    boolean setWorkMode(int mode, int onoff);
    /**
	 *获取冰箱工作模式
	 *return 对应开关模式的开关值
	 * 智能模式	0x00
                       假日模式	0x01
	   LECO	0x02
                       童锁模式	0x03
                       冷藏关闭	0x04
                       变温	0x05
                       速冻	0x06
                      速冷	0x07
	 *
	 */
    int getWorkMode(int mode);
    /**
	 * 分时计价格高起
	 * hour 
	 * minutes
	 */
    boolean setHighTimeStart(int hours,int second);
    /**
	 * 分时计价格高止
	 * hour 
	 * minutes
	 */
    boolean setHighTimeEnd(int hours,int second);

	/**
	 * 分时计价格低止
	 * hour 
	 * minutes
	 */
    boolean setLowTimeStart(int hours,int second);
    /**
	 * 分时计价格低起
	 * hour 
	 * minutes
	 */
    boolean setLowTimeEnd(int hours,int second);
    
    /**
     * 高2字节为hours，低2字节为 second
     * @return
     */
    int getLowTimeStart();
    /**
     * 高2字节为hours，低2字节为 second
     * @return
     */
    int getLowTimeEnd();
    
    
    /**
     * 获取冰箱可用门状态开关
     * 
     * 
     *            
     * @return 可以门对应开关状态
     */
    int[] getDoorStatus();
    /**
	 * 设置wifi ssid
	 * 
	 * @return
	 */
    boolean setWIFISSID(String ssid);
    /** 设置wifi password
	 *
	 * @return
	 */
    boolean setWIFIPASSWORD(String password);
	/**
	 * 设置wifi active code
	 * 
	 * @return
	 */
    boolean setACTIVECODE(String activecode );
    /**
     * 获取冰箱冷藏室温度
     * 
     * 
     *            
     * @return 返回冰箱冷藏室温度
     */
    int getColdTemprature();
    /**
	 * 获取变温室实际温度
	 * 最小值  -30
	 * 最大值 30
	 * 步长：0.1
	 * @return 返回变温室实际温度
	 */
    int getSensorColdTemprature();
    /**
     * 获取冰箱冷冻室温度
     * 
     * 
     *            
     * @return 返回冰箱冷冻室温度
     */
    int getFreezeTemprature();
    /**
     * 获取冰箱冷冻室实际温度
     * 
     * 
     *            
     * @return 返回冰箱冷冻室实际温度
     */
    int getSensorFreezeTemprature();
    /**
     * 获取冰箱变温室温度
     * 
     * 
     *            
     * @return 返回冰箱变温室温度
     */
    int getVariableTemprature();
    /**
     * 获取冰箱变温室实际温度
     * 
     * 
     *            
     * @return 返回冰箱变温室实际温度
     */
    int getSensorVariableTemprature();
    /**
     * 获取室内实际温度
     * 
     * 
     *            
     * @return 返回室内实际温度
     */
    int getIndoorTemprature();
    
   

}
