package com.changhong.ippctrl;


import java.util.List;

import android.os.IBinder;

import com.changhong.ippmodel.IppDevice;
import com.changhong.ippmodel.IIppEvent;

import com.changhong.ippmodel.IppVersion;



/**
 * @version 1.0
 * IppCore 协议接口
 * <p>
 *  {@link #getIppDevices()} 获取所有的ipp设备列表。
 * <p>
 * {@link #getIppDevices(int type)} 获取某一应用类型的ipp设备列表。
 * <p>
 *  {@link #getIppDevice(int id) } 获取ipp设备。
 * <p>
 *  {@link #getVersion() }获取ipp协议版本。
 * <p>
 *  {@link #registerEventHandler(IIppEvent event)} 注册事件处理接口。
*/
public interface IIppCore {
    /**
     * 获取所有的ipp设备列表
     * 
     * @return IPP设备列表 {@link IppDevice}
     */
	public List<IppDevice> getIppDevices();
	 /**
     * @deprecated 
     */
	public List<IppDevice> getIppDevices(int type);
	 /**
     * @deprecated 
     */
	public IppDevice getIppDevice(int id);
	 /**
     * 获取ipp协议版本
     * 
    
     * @return  :版本对象 {@link IppVersion}
     */
	public IppVersion getVersion();
	 /**
     * 注册事件处理接口
     * 
     * @param events
     *            : 事件binder
     * @return true :成功返回true，失败返回false
     */
	public boolean registerEventHandler(IBinder events);
     public void setWLANIP(String ip);


}

