package com.changhong.ippctrl;

import java.util.List;


import com.changhong.ippmodel.FavouriteProgram;
import com.changhong.ippmodel.FriendTO;
import com.changhong.ippmodel.IppDevice;
import com.changhong.ippmodel.RemoteOrderChannel;

import com.changhong.ippmodel.IppUser;

/**
 * 
 * 返回代码 code msg（错误说明） 中文解释
 * 
 * 100 error:database exception 数据库异常
 * 
 * 0001 error:userName and phoneNum are null 用户名和手机号为空
 * 
 * 0002 error:SMSCode is null 短信验证码为空
 * 
 * 0003 error:password is null 密码为空
 * 
 * 0004 error:fingerURL is null 指纹图像地址为空
 * 
 * 0005 error:appID is null 应用ID为空
 * 
 * 0006 error:SMSCode is not correct 短信验证码错误
 * 
 * 0007 error:userName has been registed 用户名已经被注册
 * 
 * 0008 error:fingerprint has been registed 指纹已经被注册
 * 
 * 0009 error:encrypt fingerprint error 指纹特征值加密失败
 * 
 * 0010 error:encrypt password error 密码加密失败
 * 
 * 1001 新增app失败
 * 
 * 1002 appName为空
 * 
 * 1003 app重名
 * 
 * 2001 短信发送失败
 * 
 * 2002 短信发送成功
 * 
 * 2003 短信没有找到
 * 
 * 3001 error:login json string parse to object error 登录时json串解析异常
 * 
 * 3002 error:username and fingerprint are null 用户名和指纹特征值为空
 * 
 * 3003 error:password is null 密码为空
 * 
 * 3004 error:appnID is null 应用ID为空
 * 
 * 3005 error:deviceCode is null 设备编号为空
 * 
 * 3006 error:deviceModel is null 设备型号为空
 * 
 * 3007 error:deviceType is null 设备类型为空
 * 
 * 3008 error:userinfo is not found 用户信息未找到
 * 
 * 3009 error:password is not correct 密码错误
 * 
 * 3010 error:sync userinfo failed 同步用户信息失败
 * 
 * 3011 error:fingerprint is not correct 指纹不正确
 * 
 * 3012 error:decrypt password error 解密密码失败
 * 
 * 3013 error:decrypt fingerprint error 解密指纹失败
 * 
 * 3014 error:parse bindApps error 解析以登录过app失败
 * 
 * 3015 error:faild to update userInfo 更新用户信息失败
 * 
 * 3016 error:encrypt fingerprint error 加密指纹失败
 * 
 * 4000 success:update userInfo success 更新用户信息成功
 * 
 * 4001 error:userInfo update error 用户信息更新失败
 * 
 * 4002 error:faild to parse userinfo json to object 用户信息解析成json串失败
 * 
 * 4003 error:userinfo not found error 用户信息未找到
 * 
 * 4004 error:decrypt password error 用户密码解密失败
 * 
 * 4005 error:decrypt fingerprint error 用户指纹解密失败
 * 
 * 4006 error:username,password and fingerprint are null 用户名、密码、指纹全部为空
 * 
 * 4007 error:password is null 密码为空
 * 
 * 4008 error:encrypt fingerprint error 加密指纹失败
 * 
 * 4009 error:password error 密码错误
 * 
 * 4010 error:fingerprint error 指纹错误
 * 
 * 4011 error:password encrypt error 密码加密失败
 * 
 * 5000 success:add security question success 新增密保问题成功
 * 
 * 5001 error:secutiryQuesion json parse to object error 密保问题json串解析失败
 * 
 * 5002 error:secutiryQuesion object parse to json error 密保问题解析成json失败
 * 
 * 5003 error:add security question faild 增加密保问题失败
 * 
 * 5004 error:this quesion has exsited in database 问题已经存在
 * 
 * 6000 success:save password security info success 保存密保信息成功
 * 
 * 6001 success:update password security info success 更新密保信息成功
 * 
 * 6002 error:parse password security json info to object error 密保信息json解析失败
 * 
 * 6003 error:parse password security object to json info error 密保信息解析成json失败
 * 
 * 6004 error:userID is null 用户ID为空
 * 
 * 6005 error:password security not found 密保信息没找到
 * 
 * 7000 sucess:find password success 找回密码成功
 * 
 * 7001 error:faild to parse json to object 解析json失败
 * 
 * 7002 error:password answer is not correct 问题答案不正确
 * 
 * 7003 error:user did not set password qustions 用户没有设置密保问题
 * 
 * 7004 error:user did not set security phone 用户没有设置密码找回手机
 * 
 * 7005 error:some questions or answers are null 问题或者答案为空
 * 
 * 7006 error:phone number is null 电话号码为空
 * 
 * 7007 error:userID is null 用户ID为空
 * 
 * 7008 error:did not found the user by the userID 通过userID找不到用户信息
 * 
 * 7009 error:qustion1 or answer1 in not correct 问题1或者答案1不正确
 * 
 * 7010 error:qustion2 or answer2 in not correct 问题2或者答案2不正确
 * 
 * 7011 error:qustion3 or answer3 in not correct 问题3或者答案3不正确
 * 
 * 7012 error:find password faild 找回密码失败
 * 
 * 8001 error:modify password faild 修改密码失败
 * 
 * 8002 error:the old password is not correct 旧密码不正确
 * 
 * 8003 error:faild to parse json to object json解析失败
 * 
 * 8004 error:userID is null 用户ID为空
 * 
 * 8005 error:oldPasswoed is null 旧密码为空
 * 
 * 8006 error:newPassword is null 新密码为空
 * 
 * 
 * 
 * 
 * 
 * 10001 发送授权消息成功
 * 
 * 10002 发送邀请同看消息成功
 * 
 * 10003 回复邀请同看消息成功
 * 
 * 
 * 10004 不能自己加自己为好友
 * 
 * 10005 申请者ID不存在
 * 
 * 10006 对方已经是你好友了
 * 
 * 10007 用户未注册IPP 发送SMS不成功
 * 
 * 10008 用户未注册IPP,发送邀请注册短信成功
 * 
 * 10009 发送申请好友消息成功
 * 
 * 
 * 
 * 
 * 10010 登录成功
 * 
 * 10011 连接mina服务器失败
 * 
 * 11111 服务器或者网络异常
 * 
 * 11110 服务器数据库执行出现异常
 * 
 * 10012 注册成功
 * 
 * 10013 设备被绑定
 * 
 * 10014 设备未被绑定
 * 
 * 10015 设备sn不存在或设备类型错误
 * 
 * 10016 綁定成功
 * 
 * 10017 绑定码错误
 * 
 * 10018 发送语音消息成功
 * 
 * 10019 mina 服务器断开
 * 
 * 
 * 
 * 
 * 
 * 
 * 
 * @ClassName: IIppPlatform
 * @Description: 平台基本功能接口
 * @author TODO
 * @date 2013-3-25 下午04:40:42
 * 
 * @author wangjingyu
 * 
 * 
 * @see #loginByUserName(String userName, String password, String
 *      devicetype,String devcode,String devmode);
 * @see #getFriendsList(String)
 * @see #toBeFriendRequest(String, String, String, String, String)
 * @see #confirmFriendRequest(String, String, String)
 * @see #deviceAutho(String, String, String, String)
 * @see #deviceInitBinding(String, String, String, String, String)
 * @see #getDevice4Owner(String)
 * @see #getDevice4User(String)
 * @see #userRegistByPhone(String, String, String，)
 * @see #checkUser(String)
 * @see #getPhoneMD(String)
 * @see #deviceNoBinding(String, String)
 * @see #deleteFriend(String, String)
 * @see #loginOut()
 * @see #setPlatformIP(String,String)
 * @see #changePwd(String, String, String)
 * @see #getTVChannel(String)
 */

public interface IIppPlatform {

	/**
	 */
	public boolean deleteAccount(String phone);

	/**
	 * 
	 * @Title: loginByUserName
	 * @Description: TODO(客户端登录验证接口)
	 * @param userName
	 *            登录用户手机号
	 * @param password
	 *            登录密码
	 * @param devicetype
	 *            设备类型 “1” 手机 “2”电视
	 * @param devcode
	 *            设备编号
	 * @param devmode
	 *            设备模块
	 * @return 返回登录remark 字段为返回代码
	 * @throws
	 */
	public IppUser loginByUserName(String userName, String password,
			String devicetype, String devcode, String devmode);

	/**
	 * 
	 * @Title: getFriendsList
	 * @Description: TODO(获取好友列表)
	 * @param userid
	 *            需要获取的用户的ID
	 * @return 好友列表 {@link FriendTO}
	 * @throws
	 */
	public List<FriendTO> getFriendsList(String userid);

	/**
	 * 
	 * @Title: toBeFriendRequest
	 * @Description: TODO(申请好友)
	 * @param userid
	 *            已登录用户的ID
	 * @param phoneNum
	 *            需要添加的好友电话号码
	 * @param info
	 *            IPP下载地址 用户未注册时候使用
	 * @return 返回代码
	 * @throws
	 */
	public String toBeFriendRequest(String userid, String phoneNum, String info);

	/**
	 * 
	 * @Title: confirmFriendRequest
	 * @Description: TODO(好友申请消息反馈)
	 * @param srcuid
	 *            申请好友消息ID
	 * @param targetuid
	 *            被申请的好友ID
	 * @param flag
	 *            “1”成功 “0” 不同意
	 * @return true 成功，false 失败
	 * @throws
	 */

	public boolean confirmFriendRequest(String srcuid, String targetuid,
			String flag);

	/**
	 * 
	 * @Title: deviceInitBinding
	 * @Description: TODO( 发起设备绑定)
	 * @param userid
	 *            已登录用户的ID
	 * @param phoneNum
	 *            用户手机电话号码(唯一)
	 * @param devicetype
	 *            设备类型，257为电视，260 IPPDMR ,1281为空调，769为冰箱
	 * @param deviceSN
	 *            设备唯序列号
	 * @param authocode
	 *            设备验证码默认12345678
	 * @return 返回代码
	 * @throws
	 */
	public String deviceInitBinding(String userid, String phoneNum,
			String devicetype, String deviceSN, String authocode);

	/**
	 * 
	 * @Title: deviceAutho
	 * @Description: TODO(设备授权)
	 * @param userid
	 *            已登录用户的ID
	 * @param targetid
	 *            授权用户ID
	 * @param devicetype
	 *            设备类型，257为电视，260 IPPDMR ,1281为空调，769为冰箱
	 * @param deviceSN
	 *            设备唯序列号
	 * @param authoflag
	 *            “1” 普通授权 “2” 控制权限
	 * @return true 成功，false 失败
	 * @throws
	 */

	public boolean deviceAutho(String userid, String targetid,
			String devicetype, String deviceSN, int authoflag);

	/**
	 * 
	 * @Title: getDevice4Owner
	 * @Description: TODO( IPP我的设备，获取已登录用户拥有的全部绑定设备)
	 * @param userid
	 *            已登录用户的ID
	 * @return 绑定的设备列表 {@link IppDevice}
	 * @throws
	 */
	public List<IppDevice> getDevice4Owner(String userid);

	/**
	 * 
	 * @Title: getDevice4User
	 * @Description: TODO(显示userid的好友授权设备)
	 * @param userid
	 *            需要获取的好友id
	 * @return 好友授权设备列表 {@link IppDevice}
	 * @throws
	 */
	public List<IppDevice> getDevice4User(String userid);

	/**
	 * 
	 * @Title: userRegistByPhone
	 * @Description: TODO(客户端用户注册接口)
	 * @param phoneNum
	 *            用户手机电话号码(唯一)
	 * @param upw
	 *            登录密码
	 * @param captcha
	 *            手机短信验证码.
	 * @param nickname
	 *            用户昵称
	 * @return 返回代码
	 * @throws
	 */
	public String userRegistByPhone(String phoneNum, String upw,
			String captcha, String nickname);

	/**
	 * 
	 * @Title: setPlatformIP
	 * @Description: TODO(设置IPP 平台服务器IP地址)
	 * @param ip1
	 *            IP1 如 XXX.XXX.XXX:8080
	 * @param ip2
	 *            IP1 如 XXX.XXX.XXX:10000
	 * @return 是否成功
	 * @throws
	 */
	public boolean setPlatformIP(String ip1, String ip2, String language);

	/**
	 * 
	 * @Title: checkUser
	 * @Description: TODO( 检测用户是否已经注册)
	 * @param phonenum
	 *            用户注册的电话号码
	 * @return true 未注册，false 已经注册
	 * @throws
	 */
	public boolean checkUser(String phonenum);

	/**
	 * 
	 * @Title: getDeviceAuthFromFriend
	 * @Description: TODO(获取friendsuerid授权给登录用户的设备列表)
	 * @param friendsuerid
	 *            需要查看的用户id
	 * @return 设备列表 {@link IppDevice}
	 * @throws
	 */
	public List<IppDevice> getDeviceAuthFromFriend(String friendsuerid);

	/**
	 * 
	 * @Title: getDeviceAuthToFriend
	 * @Description: TODO( 获取登录用户授权给friendsuerid的设备列表)
	 * @param friendsuerid
	 *            需要查看的用户id
	 * @return 设备列表 {@link IppDevice}
	 * @throws
	 */
	public List<IppDevice> getDeviceAuthToFriend(String friendsuerid);

	/**
	 * 
	 * @Title: getPhoneMD
	 * @Description: TODO(获取注册验证码)
	 * @param phoneNum
	 *            手机号码
	 * @return 返回代码
	 * @throws
	 */
	public String getPhoneMD(String phoneNum);

	/**
	 * 
	 * @Title: deviceNoBinding
	 * @Description: TODO(取消设备绑定)
	 * @param userid
	 *            已经绑定设备的用户id
	 * @param devicesn
	 *            设备类型，257为电视，260 IPPDMR ,1281为空调，769为冰箱
	 * @return true 成功 false 失败
	 * @throws
	 */
	public boolean deviceNoBinding(String userid, String devicesn);

	/**
	 * 
	 * @Title: deleteFriend
	 * @Description: TODO( 删除好友，成功后双方的好友用户列表都无对方)
	 * @param userid
	 *            需要删除好友的用户id
	 * @param friendid
	 *            需要删除的好友id
	 * @return
	 * @throws
	 */
	public boolean deleteFriend(String userid, String friendid);

	/**
	 * 
	 * @Title: loginOut
	 * @Description: TODO(退出登录)
	 * @return true 成功 false 失败
	 * @throws
	 */
	public boolean loginOut();

	/**
	 * 
	 * @Title: deviceCancleAutho
	 * @Description: TODO(取消设备授权)
	 * @param userid
	 *            已登录用户的ID
	 * @param targetid
	 *            取消授权用户ID
	 * @param devicetype
	 *            设备类型，257为电视，260 IPPDMR ,1281为空调，769为冰箱
	 * @param deviceSN
	 *            设备序列号
	 * @return true 成功，false 失败
	 * @throws
	 */
	public boolean deviceCancleAutho(String userid, String targetid,
			String devicetype, String deviceSN);

	/**
	 * 
	 * @Title: changePwd
	 * @Description: TODO(修改密码)
	 * @param phonenum
	 *            需要修改密码的手机号码
	 * @param oldpwd
	 *            旧密码
	 * @param newpwd
	 *            新密码
	 * @return true 成功，false 密码错误或用户不存在
	 * @throws
	 */
	public boolean changePwd(String phonenum, String oldpwd, String newpwd);

	/**
	 * 
	 * @Title: sendChangeTVChannel
	 * @Description: TODO(控制电视换台)
	 * @param usrid
	 *            当前登录的用户id
	 * @param owner
	 *            保留
	 * @param devsn
	 *            设备序列号
	 * @param channelid
	 *            保留
	 * @param channelname
	 *            频道名
	 * @return 是否成功
	 * @throws
	 */
	public boolean sendChangeTVChannel(String usrid, String owner,
			String devsn, String channelid, String channelname);

	/**
	 * 
	 * @Title: requestSameView
	 * @Description: TODO(邀请同看)
	 * @param devsn
	 *            设备序列号
	 * @param targetusr
	 *            邀请的好友id
	 * @param channelname
	 *            邀请的频道名
	 * @return 返回代码
	 * 
	 * @throws
	 */
	public String requestSameView(String dev, String targetusr,
			String channelname);

	/**
	 * 
	 * @Title: fnACSetJsonString
	 * @Description: TODO(发送json 字符串 webservice)
	 * @param request
	 *            json 内容
	 * @param address
	 *            webservice 的请求字段
	 * @return webservice返回的json字符串
	 * @throws
	 */
	public String fnACSetJsonString(String request, String address);

	/**
	 * 
	 * @Title: fnACConnectMina
	 * @Description: TODO(连接mina服务器)
	 * @param usrid
	 *            登录的用户id
	 * @return 成功与否
	 * @throws
	 */
	public boolean fnACConnectMina(String usrid);

	/**
	 * 
	 * @Title: responseSameView
	 * @Description: TODO(回复同看)
	 * @param targetusr
	 *            同看的发起人
	 * @param flag
	 *            1 同看0 不同看
	 * @param devsn
	 *            同看的设备序列号
	 * @param channelname
	 *            同看的频道名
	 * @return 返回代码
	 * @throws
	 */
	public String responseSameView(String targetusr, int flag, String devsn,
			String channelname);

	/**
	 * 
	 * @Title: requestAuto
	 * @Description: TODO(请求设备授权)
	 * @param requUid
	 *            请求发起人
	 * @param respUid
	 *            请求的接受者
	 * @param Devid
	 *            设备序列号 可选
	 * @param authoLevel
	 *            授权级别 1,2
	 * @return 返回代码
	 * @throws
	 */
	public String requestAuto(String requUid, String respUid, String Devid,
			int authoLevel);

	/**
	 * 
	 * @Title: sendVoiceMsg
	 * @Description: TODO(发送语音信息)
	 * @param srcusrid
	 *            发送者id
	 * @param targetusrid
	 *            接受者id
	 * @param msg
	 *            附带的字符串可选
	 * @param format
	 *            语音格式可选
	 * @param time
	 *            发送时间
	 * @param voice
	 *            语音数据
	 * @param bit
	 *            位宽 可选
	 * @param rate
	 *            采样率 可选
	 * @param duration
	 *            总时长秒
	 * @return 返回代码
	 * @throws
	 */
	public String sendVoiceMsg(String srcusrid, String targetusrid, String msg,
			String format, String time, byte[] voice, int bit, int rate,
			int duration);

	/**
	 * @deprecated
	 * @Title: getFriendListNofity
	 * @Description: TODO()
	 * @param userid
	 * @throws
	 */
	public void getFriendListNofity(String[] userid);

	/**
	 * @deprecated
	 * @Title: getDeviceListNofity
	 * @Description: TODO()
	 * @param devid
	 * @throws
	 */
	public void getDeviceListNofity(String[] devid);

	/**
	 * 
	 * @Title: updateDevBindCaptcha
	 * @Description: TODO(更新设备绑定验证码)
	 * @param sn
	 *            设备序列号
	 * @param type
	 *            设备类型
	 * @param captcha
	 *            新的验证码
	 * @return
	 * @throws
	 */
	public boolean updateDevBindCaptcha(String sn, int type, String captcha);

	/**
	 * 
	 * @Title: sendIPPMessage
	 * @Description: TODO(发送IPP消息)
	 * @param targetid
	 *            接受者用户id
	 * @param msgclass
	 *            消息类型
	 * @param autodes
	 *            是否自毁
	 * @param title
	 *            消息标题
	 * @param content
	 *            消息类容
	 * @param time
	 *            消息发送时间
	 * @return 是否成功
	 * @throws
	 */
	public boolean sendIPPMessage(String targetid, int msgclass, int autodes,
			String title, String content, String time);

	
	public boolean sendIPPTimingMessage(String targetid, int msgclass, int autodes,
			String title, String content, String time,String triggertime);
	
	/**
	 * @deprecated
	 * @Title: getTVChannel
	 * @Description: TODO(获取电视频道名)
	 * @param devsn
	 * @return
	 * @throws
	 */
	public String getTVChannel(String devsn);

	/**
	 * 
	 * @Title: sendJsonToMina
	 * @Description: TODO(发送json字符串到mina服务器)
	 * @param json
	 *            json字符串
	 * @return 是否成功
	 * @throws
	 */
	public boolean sendJsonToMina(String json);

	/**
	 * 
	 * @Title: getDeviceBindStatus
	 * @Description: TODO(获取设备绑定状态)
	 * @param devsn
	 *            设备序列号
	 * @param devtype
	 *            设备类型
	 * @return 被绑定者，返回代码查看remark
	 * @throws
	 */

	public IppUser getDeviceBindStatus(String devsn, String devtype);

	public boolean sendSMS(String phonenum, String content);

	public boolean upgrateFavoriteProgramList(String userid,
			List<FavouriteProgram> list);
	public List<FavouriteProgram> downgrateFavoriteProgramList(String userid
			);
	
	 public boolean addOrderProgramme(String devsn,int channelIndex, String dtartDate,
			 String durationTime, String programeName);



	 public boolean deleteOrder(String devsn,int miIndex, String programmerName,
			String startNotifyDate);


	
	 public List<RemoteOrderChannel> getOrderList(String devsn);
	
}
