package com.changhong.ippctrl;
/**
 * 
 * @ClassName: IMediaRendererSets 
 * @Description:
 * @author TODO   jingyu.wang
 * @date 2013-3-26 上午11:18:06
 */
public interface IMediaRendererSets {
    /**
     * 同步设置DMR音量
     * 
     * @param vol
     * @return true :成功返回true，失败返回false
     */
    public boolean setVolume(int vol);
    /**
     * 同步获取DMR音量
     * 
     * @return true :成功返回true，失败返回false
     */
    public int getVolume();
    /**
     * DMR播放
     * 
     * @param speed 保留，播放速度默认1
     * @return true :成功返回true，失败返回false
     */

    public boolean play(int speed);
    /**
     * DMR暂停
     * @return true :成功返回true，失败返回false
     */
    public boolean pause();
    /**
     * DMR停止
     * 
     * @return true :成功返回true，失败返回false
     */
    public boolean stop();
    /**
     * DMR缩放图片
     * @param value 缩放比例参数 
     * @return true :成功返回true，失败返回false
     */
    public boolean ZoomInOut(int value);
    /**
     * DMR旋转图片
     * @param value 选择度数参数 正顺负逆
     * @return true :成功返回true，失败返回false
     */
    public boolean Rotate(int value);
    /**
     * DMR缩水平移动图片
     * @param value 移动参数 正右负左
     * @return true :成功返回true，失败返回false
     */
    
    public boolean Horizontaltranslation(int value);
    
    /**
     * DMR垂直移动图片
     * @param value 移动参数 正上负下
     * @return true :成功返回true，失败返回false
     */
    
    public boolean Verticaltranslation(int value);
    
    
    /**
     * DMR垂直滑动图片
     * @param value 滑动参数  大小为加速度  正上负下
     * @return true :成功返回true，失败返回false
     */
    
    
    public boolean Verticalsliding(int value);
    /**
     * DMR水平滑动图片
     * @param value 滑动参数  大小为加速度  正上负下
     * @return true :成功返回true，失败返回false
     */
    
    
    
    public boolean Horizontalsliding(int value);
    
    /**
     * DMR水平滑动图片
     * @param value 图像效果参数
     * @return true :成功返回true，失败返回false
     */
    public boolean Imagetransformation(int value);
    /**
     * 同步SEEK DMR
     * 
     * @param time：
     *         seek 位置  0X00HHMMSS
     * @return true :成功返回true，失败返回false
     */
    public boolean seek(int time);
    /**
     * @deprecated 
     */
    public boolean next();
    /**
     * @deprecated 
     */
    public boolean previous();

    /**
     * @deprecated 
     */
  

    public int getPlayMode();
    /**
     * 同步设置DMR音量
     * 
     * @return 媒体信息
     */
    public String getMediaInfo();
    /**
     * 同步获取DMR播放位置
     * 
     * @return  :返回位置 0X00HHMMSS
     */
    public int getPlayBackPosition();
    /**
     * @deprecated 
     */
    public int getTransport();
    /**
     * @deprecated 
     */
    public int getProtocol();
    /**
     * 同步设置DMR URI地址
     * 
     * @param uri：
     *          URI地址
     * @param metadata:
     *          保留
     * @return true :成功返回true，失败返回false
     */
    public boolean setAVURI(String uri,String metadata);
    public boolean setPICURI(String uri,byte[] raw,int direction);
    /**
     * 获取DMR URI地址
     * 
     * 
     * @return true :URI地址
     */
    
    
    public String getAVURI();
    /**
     * 获取DMR播放媒体长度
     * 
     * 
     * @return  :媒体长度 单位秒
     */
    public int getCurrentDuration();
}
