package com.changhong.ippctrl;

import java.util.List;

//import com.changhong.ippmodel.IPPEPGEvent;
import com.changhong.ippmodel.IPPDTVChannelInfo;
//import com.changhong.ippmodel.IPPUTCDate;
//import com.changhong.ippmodel.IPPUTCTime;
//import com.changhong.ippmodel.OrderChannel;

/**
 * 
 * @ClassName: ITelevisonFunSets
 * @Description:
 * @author TODO jingyu.wang
 * @date 2013-3-26 上午11:18:34
 */
public interface ITelevisonFunSets extends ICommFunSets {
	// List<DTVChannelInfo> getChannelList();
	// List<EPGEvent> getEPGPFEvent(int id);
	// List<EPGEvent> getEPGSchelueEvent(int id);
	// String getEPGPFEventExtendInfo(int channelid,int eventid);
	// String getEPGSchelueEventExtendInfo(int channelid,int dventid);

	/**
	 * @param channelIndex
	 *            //DTVChannelInfo 类中的 mChannelIndex 频道下标
	 * @param startDate
	 *            //开始日期
	 * @param startTime
	 *            //开始时间
	 * @param durationTime
	 *            //持续时间
	 * @param programeName
	 *            //节目名称
	 */
	public boolean addOrderProgramme(int channelIndex, int eventIndex);

	/**
	 * 
	 * @param miIndex
	 *            //InterTimerInfo 类中的 miIndex 频道下标
	 * @param startNotifyDate
	 *            //开始日期
	 * @param startNotifyTime
	 *            //开始时间
	 * @param programmerName
	 *            //节目名称
	 */
	public boolean deleteOrder(int channelIndex, int eventIndex);

	//public List<OrderChannel> getOrderList();

	/**
	 * 
	 * @Title: setBrightness
	 * @Description: TODO(同步设置电视亮度)
	 * @param @param value 亮度值
	 * @param @return 成功返回true，失败返回false
	 * @return boolean 返回类型
	 * @throws
	 */
	boolean setBrightness(int value);

	/**
	 * 同步设置电视对比度
	 * 
	 * @param value
	 *            对比度值
	 * @return true :成功返回true，失败返回false
	 */
	boolean setContrast(int value);

	/**
	 * 同步设置电视缩放
	 * 
	 * @param value
	 *            缩放值 自定义
	 * @return true :成功返回true，失败返回false
	 */
	boolean setRoomMode(int value);

	/**
	 * 同步设置电视信号源
	 * 
	 * @param value
	 *            信号源 自定义
	 * @return true :成功返回true，失败返回false
	 */
	boolean setSignalSrc(int value);

	/**
	 * 同步增加电视音量
	 * 
	 * @param vol
	 *            需要增加的音量值
	 * @return true :成功返回true，失败返回false
	 */
	boolean addVolume(int vol);

	/**
	 * 同步减小电视音量
	 * 
	 * @param vol
	 *            需要减小的音量值
	 * @return true :成功返回true，失败返回false
	 */
	boolean subVolume(int vol);

	/**
	 * 同步设置电视静音模式
	 * 
	 * @param c
	 *            1 静音 0 取消静音
	 * @return true :成功返回true，失败返回false
	 */
	boolean setMute(int mute);

	/**
	 * 同步设置电视图像模式
	 * 
	 * @param 自定义
	 * @return true :成功返回true，失败返回false
	 */
	boolean setPicMode(int mode);

	/**
	 * 同步设置电视声音模式
	 * 
	 * @param mode
	 *            自定义
	 * @return true :成功返回true，失败返回false
	 */
	boolean setSoundMode(int mode);

	/**
	 * 同步设置电视3D模式
	 * 
	 * @param mode
	 *            自定义
	 * 
	 * @return true :成功返回true，失败返回false
	 */
	boolean set3DMode(int mode);

	/**
	 * 同步增加电视频道
	 * 
	 * @param id
	 *            需要增加的频道数
	 * @return true :成功返回true，失败返回false
	 */
	boolean addChannel(int id);

	/**
	 * 同步减小电视频道
	 * 
	 * @param id
	 *            需要减小的频道数
	 * @return true :成功返回true，失败返回false
	 */
	boolean subChannel(int id);

	/**
	 * 设置字符串输入
	 * 
	 * @param content
	 *            字符串内容
	 * @return true :成功返回true，失败返回false
	 */
	boolean setInputString(String content, int flag);

	/**
	 * 同步设置遥控按键
	 * 
	 * @param key
	 *            按键值
	 * @param action
	 *            事件
	 * @return true :成功返回true，失败返回false
	 */
	boolean setTVKey(int key, int action);

	/**
	 * 同步设置鼠标
	 * 
	 * @param x
	 *            x 坐标
	 * 
	 * @param y
	 *            坐标
	 * @param action
	 *            事件
	 * @return true :成功返回true，失败返回false
	 */
	boolean setTVMouse(int x, int y, int action);

	/**
	 * 获取音量
	 * 
	 * @param type
	 *            type 0当前音量 1最大音量
	 * 
	 * 
	 * @return 返回音量
	 * **/
	int getVolume(int type);

	/**
	 * 获取静音状态
	 * 
	 * @return 返回静音状态
	 */
	int getMute();

	/**
	 * 获取图像模式
	 * 
	 * 
	 * 
	 * @return 返回图像模式
	 * **/
	int getPicMode();

	/**
	 * 获取声音模式
	 * 
	 * 
	 * 
	 * @return 返回声音模式
	 * **/
	int getSoundMode();

	/**
	 * 获取3D状态
	 * 
	 * 
	 * 
	 * @return 返回3D状态
	 * **/
	int getMode();

	/**
	 * 获取3D深度
	 * 
	 * 
	 * 
	 * @return 返回3D深度
	 * **/
	int get3DDeep();

	/**
	 * 获取亮度值
	 * 
	 * 
	 * 
	 * @return 返回亮度值
	 * **/
	int getBrightness();

	/**
	 * 获取对比度值
	 * 
	 * 
	 * 
	 * @return 返回对比度值
	 * **/
	int getContrast();

	/**
	 * 获取缩放模式值
	 * 
	 * 
	 * 
	 * @return 返回缩放模式值
	 * **/
	int getRoomMode();

	/**
	 * 获取信号源值
	 * 
	 * 
	 * 
	 * @return 返回信号源值
	 * **/
	int getSignalSrc();

	/**
	 * 获取频道ID
	 * 
	 * 
	 * 
	 * @return 返回频道ID
	 * **/

	int getChannelID();

	/**
	 * 获取频道名称
	 * 
	 * 
	 * 
	 * @return 返回频道名称
	 * **/
	String getChannelName();

	boolean changeChannel(String name, String index);

	/**
	 * 获取节目名字
	 * 
	 * 
	 * 
	 * @return 返回节目名字
	 * **/
	String getDisplay();

	/**
	 * 设置3d深度
	 * 
	 * @param mode
	 *            自定义深度值
	 * 
	 * @return true :成功返回true，失败返回false
	 * **/
	boolean set3DDeep(int mode);

	/**
	 * 设置睡眠值
	 * 
	 * @param mode
	 *            自定义睡眠值
	 * 
	 * @return true :成功返回true，失败返回false
	 * **/
	boolean setSleep(int mode);

	/**
	 * 设置睡眠值
	 * 
	 * @param value
	 *            光标绝对位置
	 * 
	 * @return true :成功返回true，失败返回false
	 * **/
	public boolean moveCursor(int value);

	/**
	 * 设置睡眠值
	 * 
	 * @param value
	 *            删除的位置个数 正数删除光标之前，负数删除光标之后
	 * 
	 * @return true :成功返回true，失败返回false
	 * **/
	public boolean deleteString(int value);

	/**
	 * 截图
	 * 
	 * @param x
	 *            图像长度 像素值
	 * @param y
	 *            图像宽度 像素值
	 * 
	 * @return :成功返jpeg图像数据，失败返回null
	 * **/
	public boolean fnTVGetScreen(int x, int y);

	public boolean setMode(int mode);

	public IPPDTVChannelInfo[] getEPGInfo(int startindex, int requiredsize,
			Integer total);

	public IPPDTVChannelInfo[] getSortedEPGInfo(int startindex,
			int requiredsize, Integer total);

	public boolean seekshow(int curtime, int totaltime, int seektime);

	public boolean requiredBind();

	public boolean loginFromTV(String userName, String password,
			String devicetype, String devcode, String devmode);

	public boolean showPhoneCtrl(String phone);
	
	

}
