package com.changhong.ippjni;

import java.util.List;



import com.changhong.ippmodel.FavouriteProgram;
import com.changhong.ippmodel.FriendTO;

import com.changhong.ippmodel.IIppEvent;
import com.changhong.ippmodel.IPPDTVChannelInfo;
import com.changhong.ippmodel.IPPEPGEvent;
import com.changhong.ippmodel.IppCOTime;
import com.changhong.ippmodel.IppDtime;
import com.changhong.ippmodel.IppHocoStatus;
import com.changhong.ippmodel.RemoteOrderChannel;

import com.changhong.ippmodel.IppDevice;

import com.changhong.ippmodel.IppUser;

import com.changhong.ippmodel.IppVersion;



/**
 * 
 * @ClassName: IppCoreJni
 * @Description: TODO JNI类
 * @author jingyu.wang
 * @date 2013-3-26 上午09:40:55
 */
public class IppCoreJni {
	static {

		System.loadLibrary("IppCore");
	}
	
	//add by yw
	static native public void fnSetDeviceOnlineType(int type);
	static native public int fnSetWIFISSIDAndPassword( int id, String ssid, String pwd);
	static native public void fnSendCommand(int id, String string);
	static native public void fnSendCommandByBinary(int id, byte[]data);
	
	
	static native public boolean fnSetDeviceName(int id,String newname);
	static native public String fnGetDeviceName(int id);
	
	
	static native public boolean  fnTVshowPhoneCtrl(int id,String phone);
	static native public boolean fnTVloginFromTV(int id,String userName,
			String password, String devicetype,String devcode,String devmode);
	
	
	static native public boolean fnTVSeek(int id,int curtime,int totaltime,int seektime);
	static native public boolean fnTVSetSignalSRC(int id, int mode);

	static native public boolean fnTVSetSleepMode(int id, int mode);

	static native public boolean fnTVSetBrightNess(int id, int mode);

	static native public boolean fnTVSetContrast(int id, int mode);

	static native public boolean fnTVSetZoomMode(int id, int mode);

	static native public boolean fnTVSetString(int id, String content, int flag);

	static native public boolean fnTVSetMouse(int id, int x, int y, int action);

	static native public boolean fnTVAddVolume(int id, int vol);

	static native public boolean fnTVSubVolume(int id, int vol);

	static native public boolean fnTVSetKey(int id, int key, int action);

	static native public boolean fnTVSetMute(int id, int mute);

	static native public boolean fnTVSetPicMode(int id, int mode);

	static native public boolean fnTVSetSoundMode(int id, int mode);

	static native public boolean fnTVSet3DMode(int id, int mode);

	static native public boolean fnTVSet3DDeep(int id, int mode);

	static native public boolean fnTVAddChannel(int id, int channelId);

	static native public boolean fnTVSubChannel(int id, int channelId);

	static native public boolean fnTVMovecursor(int id, int channelId);

	static native public boolean fnTVDeleteString(int id, int channelId);

	// ////////////get////////////////////////
	static native public int fnTVGetVolume(int id,int type);

	static native public int fnTVGetMute(int id);

	static native public int fnTVGetPicMode(int id);

	static native public int fnTVGetSoundMode(int id);

	static native public int fnTVGetMode(int id);

	static native public int fnTVGet3DDeep(int id);

	static native public int getPowerMode(int id);

	static native public List<IPPDTVChannelInfo> getChannelList(int devid);

	static native public List<IPPEPGEvent> getEPGPFEvent(int devid, int id);

	static native public List<IPPEPGEvent> getEPGSchelueEvent(int devid, int id);

	static native public String getEPGPFEventExtendInfo(int devid,
			int channelid, int eventid);

	static native public String getEPGSchelueEventExtendInfo(int devid,
			int channelid, int dventid);

	static native public String fnTVGetDisplay(int id);

	static native public int fnTVGetChannelID(int id);

	static native public String fnTVGetChannelNAME(int id);

	static native public int fnTVGetSleepMode(int id);

	static native public int fnTVGetBrightNess(int id);

	static native public int fnTVGetContrast(int id);

	static native public int fnTVGetZoomMode(int id);

	static native public int fnTVGetSignalSRC(int id);

	static native public boolean fnSetDmrState(int id, int state);

	static native public boolean fnSetDmrSpeed(int id, double speed);

	static native public boolean fnSetDmrTime(int id, int time/* hhmmss */);

	static native public boolean fnSetDmrVolume(int id, int vol);

	static native public boolean fnSetDmrURI(int id, String uri);
	static native public boolean fnSetDmrPICURI(int id, String uri,byte[] raw,int direction);
	static native public boolean fnTVGetScreen(int id, int x, int y);

	static native public boolean fnTVSetMode(int id,int mode);
	
	
	static native public IPPDTVChannelInfo[] fnTVGetEPGInfo(int id,int startindex,int size,Integer total);
	static native public IPPDTVChannelInfo[] fnTVGetSortedEPGInfo(int id,int reverd,int startindex,int requiredsize,Integer total);
	static native public boolean fnTVDeleteOrder(int id,int channelIndex, int eventIndex) ;
		
	static native public boolean fnTVrequiredBind(int id);
	static native public boolean fnTVChangeChannel(int id,String name,String index);
	
	//static native public List<OrderChannel> fnTVGetOrderList(int id);
	static native public boolean fnTVaddOrderProgramme(int id,int channelIndex, int eventIndex) ;
	static native public int fnGetDmrVolume(int id);

	static native public int fnGetDmrTime(int id);

	static native public int fnGetDmrState(int id);

	static native public String fnGetDmrPlayInfo(int id);

	static native public String fnGetDmrURI(int id);

	static native public int fnGetDmrDuration(int id);

	static native public double fnGetDmrSpeed(int id);

	static native public boolean fnDmrZoomInOut(int id, int value);

	static native public boolean fnDmrRotate(int id, int value);

	static native public boolean fnDmrHorizontaltranslation(int id, int value);

	static native public boolean fnDmrVerticaltranslation(int id, int value);

	static native public boolean fnDmrVerticalsliding(int id, int value);

	static native public boolean fnDmrHorizontalsliding(int id, int value);

	static native public boolean fnDmrImagetransformation(int id, int value);

	static native public boolean fnACSetFullAutomatic(int dev, int mode);// 全自动

	static native public boolean fnACSetFreshAir(int dev, int mode);// 空气清新

	static native public boolean fnACSetSleep(int dev, int mode);// 睡眠

	static native public boolean fnACSetAntiCondensation(int dev, int mode);// 防凝露

	static native public boolean fnACSetTimingPowerOnStatus(int dev, int mode);// 定时开机状态

	static native public boolean fnACSetTimingShutDonwStatus(int dev, int mode);// 定时关机状态

	static native public boolean fnACSetPowerOnTime(int dev, int time);// 定时开机状态

	static native public boolean fnACSetShutDonwTime(int dev, int time);// 定时关机时间

	static native public boolean fnACSetWindAsPeopleMove(int dev, int mode);// 风随人动

	static native public boolean fnACSetIntelligentMode(int dev, int mode);// 智能模式

	static native public int fnACGetFullAutomatic(int dev);// 全自动

	static native public int fnACGetFreshAir(int dev);// 空气清新

	static native public int fnACGetSleep(int dev);// 睡眠

	static native public int fnACGetAntiCondensation(int dev);// 防凝露

	static native public int fnACGetTimingPowerOnStatus(int dev);// 定时开机状态

	static native public int fnACGetTimingShutDonwStatus(int dev);// 定时关机状态

	static native public int fnACGetPowerOnTime(int dev);// 定时开机状态

	static native public int fnACGetShutDonwTime(int dev);// 定时关机时间

	static native public int fnACGetWindAsPeopleMove(int dev);// 风随人动

	static native public double fnACGetRoomTemperature(int dev);// 室内温度

	static native public double fnACGetElecCurrent(int dev);// 电流值

	static native public int fnACGetAirQuality(int dev);// 空气质量

	static native public int fnACGetIllumination(int dev);// 光照

	static native public int fnACGetHumidity(int dev);// 湿度

	static native public int fnACGetIntelligentMode(int dev);// 智能模式

	static native public int fnACGetAirQualityLevel(int dev);// 空气质量等级

	static native public int fnACGetFilterReplaceTime(int dev);// 滤网更换剩余时间

	static native public double fnACGetOutdoorTemperature(int dev);// 室外温度

	static native public boolean fnACSetResetFilterReplaceTime(int dev, int mode);// 复位滤网更换剩余时间

	static native public boolean fnACSetWIFISSID(int dev, String ssid);// 设置wifissid

	static native public boolean fnACSetWIFIPWD(int dev, String pwd);// 设置wifi
																		// pwd

	static native public boolean fnACSetActivatonCode(int dev, String pwd);// 设置激活吗
	
	
	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetTemprature(int id, double temp);

	static native public double fnACGetTemprature(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetFanSpeedMode(int id, int mode);

	static native public int fnACGetFanSpeedMode(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetFanDirectionHMode(int id, int mode);

	static native public int fnACGetFanDirectionHMode(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetFanDirectionVMode(int id, int mode);

	static native public int fnACGetFanDirectionVMode(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetDryerMode(int id, int mode);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetAsistentHot(int id, int mode);

	static native public int fnACGetAsistentHot(int id);
	
	static native public int fnACGetTempratureInt(int id);
	static native public int fnACGetRoomTemperatureInt(int id);
	static native public int fnACGetOutdoorTemperatureInt(int id);
	static native public int fnACGetPowerInt(int id);
	static native public boolean fnACSetTempratureInt(int id, int temp);
	
	

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean setPowerMode(int id, int mode);

	static native public int fnACGetPowerMode(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean fnACSetWorkMode(int id, int mode);

	static native public int fnACGetWorkMode(int id);

	static native public int fnACGetTotalPower(int id);// 总功

	static native public int fnACGetAvaragePower(int id);// 功率
	
	
	
	//************************************************//
	//add by czb,at 2014/2/10
	
	static native public int fnACGetWIFIMode(int id); //wifi模式
	
	static native public String fnACGetType(int id);  //空调版本

	static native public String fnACGetSocVersion(int id);//soc版本
	
	static native public String fnACGetSerialNumber(int id); //序列号
	
	static native public String fnACGetSoftwareVersion(int id); // 软件版本
	
	//获取空调摄像头的ip        add at 2014/2/21
	static native public String fnACGetCameraIP(int id);
	
	//低噪
	static native public int fnACGetLowSignalNoise(int id);
	static native public boolean fnACSetLowSignalNoise(int id,int onoff);
	
	//节能
	static native public int fnACGetEnergySaving(int id);
	static native public boolean fnACSetEnergySaving(int id, int onoff);
	
	//光感
	static native public int fnACGetLightSensation(int id);
	static native public boolean fnACSetLightSensation(int id, int onoff);
	
	//人工
	static native public int fnACGetManualWork(int id);
	static native public boolean fnACSetManualWork(int id, int onoff);
	
	//无人
	static native public int fnACGetUNManed(int id);
	static native public boolean fnACSetUNManed(int id,int onoff);
	
	//定时开机重复
	static native public int fnACGetTimingPowerOn(int id);
	static native public boolean fnACSetTimingPowerOn(int id,int onoff);
	
	//定时关机重复
	static native public int fnACGetTimingPowerOff(int id);
	static native public boolean fnACSetTimingPowerOff(int id,int onoff);
	
	//实际电加热
	static native public int fnACGetActualAssistentHot(int id);
	static native public boolean fnACSetActualAssistentHot(int id,int onoff);
	
	//报警摄像头开关状态
	static native public int fnACGetAlarmCameralSwitchState(int id);
	static native public boolean fnACSetAlarmCameralSwitchState(int id,int onoff);
	
	//报警时段开始
	static native public int fnACGetAlarmTimeBegin(int id);
	static native public boolean fnACSetAlarmTimeBegin(int id,int time);
	
	//报警时段结束
	static native public int fnACGetAlarmTimeEnd(int id);
	static native public boolean fnACSetAlarmTimeEnd(int id,int time);
	
	//语音提醒状态
	static native public int fnACGetVoiceRemindSwitchState(int id);
	static native public boolean fnACSetVoiceRemindSwitchState(int id,int onoff);
	
	//联网低耗模式开关状态
	static native public int fnACGetConnectedLowConsumptionMode(int id);
	static native public boolean fnACSetConnectedLowConsumptionMode(int id,int onoff);
	
	//获取电量
	static native public double fnACGetPower(int id);
	
	//复位wifi ap
	static native public boolean fnACSetResetWifiAP(int id,int status);
	
	//传送语音信息
	static native public boolean fnACSetTransferVoice(int id,String content);
	
	//事件上报  already implement
//	static native public int fnACEventReport(int typeID,int typeCode);
	
	//add at 2014-3-6
	static native public boolean fnACSetSystermTime(int id,int time);
	
	
	
    //*********czb**2014-2-10***********************************************//	
	
	/***********************************2014.04.11   zenglin*****************************************************/
	//获取空调滤网的清洁程度
	static native public int fnACGetFilterState(int id);

	// 获取房间无人状态
	static native public int fnACGetNobodyState(int id);

	//获取空调滤网的提醒方式
	static native public int fnACGetFilterMode(int id); 

	//设置空调滤网的提醒方式
	static native public boolean fnACSetFilterMode(int id, int value);

	// 设置空调滤网提醒时间
	static native public boolean fnACSetFilterTime(int id, int value);

	//获取空调滤网的提醒方式
	 static native public int fnACGetFilterTime(int id);

	//设置空调修正风速的开关
	static native public boolean fnACSetFixWindMode(int id, int onoff);

	//获取空调修正风速的开关
	static native public int fnACGetFixWindMode(int id);

	//设置空调儿童保护模式
	static native public boolean fnACSetChildPrect(int id, int onoff);

	// 获取空调儿童保护模式
	static native public int fnACGetChildPrect(int id);

	// 设置空调动态分区模式
	static native public boolean fnACSetComfortAdj(int id, int onoff);

	//获取空调动态分区模式
	static native public int fnACGetComfortAdj(int id);

	// 设置空调家庭聚会模式
	static native public boolean fnACSetPopDynident(int id, int onoff);

	// 获取空调家庭聚会模式
	static native public int fnACGetPopDynident(int id);

	//设置空调VIP模式
	static native public boolean fnACSetVipMode(int id, int onoff); 

	// 获取空调VIP模式
	static native public int fnACGetVipMode(int id);

//	// 设置空调VIP模式分区的模式
//	static native public boolean fnACSetVipModeAngle(int id, int sector, int peoplecategory);
//
//	// 获取空调VIP模式分区的模式
//	static native public int fnACGetVipModeAngle(int id, int sector);

	// 设置空调VIP模式第二分区的模式
	static native public boolean fnACSetVipModeAngle1(int id, int peoplecategory); 

	//获取空调VIP模式第二分区的模式
	static native public int fnACGetVipModeAngle1(int id); 
	
	// 设置空调VIP模式第二分区的模式
	static native public boolean fnACSetVipModeAngle2(int id, int peoplecategory); 

	//获取空调VIP模式第二分区的模式
	static native public int fnACGetVipModeAngle2(int id); 

	// 设置空调VIP模式第三分区的模式
	static native public boolean fnACSetVipModeAngle3(int id, int peoplecategory);

	// 获取空调VIP模式第三分区的模式
	static native public int fnACGetVipModeAngle3(int id); 

	//设置空调VIP模式第四分区的模式
	static native public boolean fnACSetVipModeAngle4(int id, int peoplecategory);
	
	//获取空调VIP模式第四分区的模式
	static native public int fnACGetVipModeAngle4(int id); 
	
	
//**********************************2014.04.22   zenglin******************************************//
	
	//设置自适应模式开关
	static native public boolean fnACSetAdapterMode(int id,int onoff);
	
	//获取自适应模式开关
	static native public int fnACGetAdapterMode(int id);
	
	//获取儿童踢被状态
	static native public int fnACGetChildKickQuilt(int id);
	
	//获取儿童锁定状态
	static native public int fnACGetChildLockMode(int id);
	
	//获取红外阵列参数
	static native public String fnACGetIRArrayParameters(int id);
	
//***************************************2014.04.29     zenglin***********************************//	
	
	//设置空气自动清洁开启
	static native public boolean fnACSetAutoAirFresh(int id, int onoff);
	
	//获取空气自动清洁状态
	static native public int fnACGetAutoAirFresh(int id);
	
	//设置空气自动清洁运行时间
	static native public boolean fnACSetAirFreshTime(int id, float value);
	
	//获取空气自动清洁运行时间
	static native public float fnACGetAirFreshTime(int id);
	
	//获取空气自动清洁运行剩余时间
	static native public int fnACGetAirFreshLastTime(int id);
	
	//设置自启动PM2.5门限
	static native public boolean fnACSetAutoPMRange(int id, int value);
	
	//获取自启动PM2.5门限
	static native public int fnACGetAutoPMRange(int id);
	
	////获取PM2.5值
	static native public int fnACGetPMLevel(int id);
	
	//获取功能状态
	static native public String fnACGetFunctionStatus(int id);
	
	//*****************************************************************************//
	static native public boolean setUser(int id, int userid);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean setIBColdTemprature(int id, int temp);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean setIBFreezeTemprature(int id, int temp);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public boolean setIBVariableTemprature(int id, int temp);
	
	static native public int getIBColdTemprature(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public int getIBFreezeTemprature(int id);

	/**
	 * @param
	 * 
	 * @return
	 */

	static native public int getIBVariableTemprature(int id);
	
	static native public boolean setIBWorkMode(int id,int mode, int onoff);

	static native public int getIBWorkMode(int id,int mode);


	static native public int[] getIBDoorStatus(int id);

	
	static native public boolean setIBWIFISSID(int id,String ssid) ;

	static native public boolean setIBWIFIPASSWORD(int id,String password);

	static native public boolean setIBACTIVECODE(int id,String activecode);

	
	
	
	
	
	
	
	
	
	
	
	
	
	

	static native public boolean setIBHighTimeStart(int id,int hours,int second);
	static native public boolean setIBHighTimeEnd(int id,int hours,int second);
	static native public boolean setIBLowTimeStart(int id,int hours,int second);
	static native public boolean setIBLowTimeEnd(int id,int hours,int second);
	
	static native public int getIBLowTimeStart(int id);
	static native public int getIBLowTimeEnd(int id);
 
    
	static native public  int getIBSensorColdTemprature(int id);
   
	static native public int getIBSensorFreezeTemprature(int id);
  
	static native public int getIBSensorVariableTemprature(int id);
	static native public int getIBIndoorTemprature(int id);
	
	

	static native public boolean seek(int devid, int time);

	static native public boolean next(int devid);

	static native public boolean previous(int devid);

	static native public int getVolume(int devid);

	static native public int getMediaInfo(int devid);

	static native public int getPlayBackPosition(int devid);

	static native public int getTransport(int devid);

	static native public int getProtocol(int devid);

	static native public boolean setAVURI(int devid, String uri, String metadata);

	static native public List<IppDevice> getNativeIppDevices();

	static native public IppVersion getVersion();

	static native public boolean initCore(IIppEvent ievent);

	static native public boolean deinitCore();

	// ///////////////////////////////////////////////

	// 用户注册 用户名、密码…… 用户
	// static native public boolean regiterUser(IppUser user);
	//
	// static native public boolean updateUserInfo(IppUser user);

	// 登录 登录名/手机号，密码 用户ID
	static native public IppUser loginByUserName(String userName,
			String password, String devicetype,String devcode,String devmode);

	
	
	
	
	
	// static native public IppUser loginByMobileNo(long mobileNo, String
	// password);

	// 登出 当前用户ID 成功与否

	static native public boolean loginOut();

	static native public String sendVoiceMsg(String srcusrid, String targetusrid,
			String msg, String format, String time, byte[] voice, int bit,
			int rate, int duration);

	

	
	// ///////////////////IPP 2.0//////////////////////


	

	static native public List<FriendTO> getFriendsList(String userid);

	

	

	static native public String toBeFriendRequest(String userid,
			String phoneNum, String info);

	static native public boolean confirmFriendRequest(String msgid,
			String result, String info);

	

	static native public String deviceInitBinding(String userid,
			String phoneNum, String devicetype, String deviceSN,
			String authocode);

	static native public boolean deviceAutho(String userid, String targetid,
			String devicetype, String deviceSN, int authoflag);

	static native public List<IppDevice> getDevice4Owner(String userid);

	static native public List<IppDevice> getDevice4User(String userid);

	



	static native public String userRegistByPhone(String phoneNum, String upw,
			String captcha,String nickname);



	static native public String acEventSubmit(String accode, String userid,
			String ordertype, String ordercode, String ordervalue);



	static native public boolean setPlatformIP(String ip, String checkip,String language);

	static native public boolean updateTVProgramInfo(String tvsn, String info);

	static native public List<IppDevice> getDeviceAuthFromFriend(
			String friendsuerid);

	static native public List<IppDevice> getDeviceAuthToFriend(
			String friendsuerid);

	static native public String getPhoneMD(String phoneNum);

	static native public IppDevice getACinfoById(String deviceid);

	static native public boolean deviceBatchAuth(String id, String friendid,
			String[][] devices);

	static native public boolean deviceNoBinding(String id, String deviceid);

	static native public boolean deleteFriend(String id, String friendid);

	static native public boolean deviceCancleAutho(String userid,
			String targetid, String devicetype, String deviceSN);

	static native public boolean fnSetACbyPlatform(int id, int mFanSpeedMode,// 风速
			int mFanDirectionHMode,// 水平风向
			int mFanDirectionVMode,// 垂直风向
			int mDryerMode,//
			int mAsistentHot,// 辅助加热
			int mPowerMode,// 电源模式
			int mWorkMode,// 工作模式

			int mFullAutomatic,// 全自动
			int mFreshAir,// 空气清新
			int mSleep,// 睡眠
			int mAntiCondensation,// 防凝露

			int mTimingPowerOnStatus,// 定时开机状态
			int mPowerOnTime,// 定时开机时间
			int mTimingShutDonwStatus,// 定时关机状态
			int mShutDonwTime,// 定时关机时间

			int mWindAsPeopleMove,// 风随人动

			int mAirQuality,// 空气质量
			int mIllumination,// 光照
			int mHumidity,// 湿度
			int mIntelligentMode,// 智能模式
			int mAirQualityLevel,// 空气质量等级
			int mFilterReplaceTime,// 滤网更换剩余时间
			double mOutdoorTemperature, double mRoomTemperature,// 室内温度
			double mElecCurrent,// 电流值
			double mTemprature// 温度
	);// 室外温度

	static native public boolean changePwd(String phonenum, String oldpwd,
			String newpwd);

	static native public boolean tvInfoSubmit(int devid, int channelid,
			String channelname, int programid, String promgramname);

	static native public boolean sendChangeTVChannel(String usrid, String owner,
			String devsn, String channelid, String channelname);
	
	static native public String responseSameView(String tagerusrid,
			int Flag,String devsn, String channelname);

	static native public String requestSameView(String devID, String tagerusrid,
			String channelName);

	static native public String requestAuto(String requUid, String respUid,
			String Devid, int authoLevel);

	static native public void getFriendListNofity(String[]  userid);

	static native public void getDeviceListNofity(String[]  devid);

	static native public boolean updateDevBindCaptcha(String sn, int type,
			String captcha);
	
	static native public boolean deleteAccount(String phone);
	static native public boolean checkUser(String phonenum) ;
	
	
	static native public boolean sendIPPMessage(  String targetid,int msgclass,int autodes,String title,String content,String time);
	static native public boolean sendTimingMessage(  String targetid,int msgclass,int autodes,String title,String content,String time,String triggertime);
	
	
	static native public	String fnACSetJsonString(String request,String address);
	
	static native public	String getTVChannel(String devsn);
	
	static native public boolean connectMina(String userid);
	static native public boolean sendJsonToMina(String userid);
	static native public IppUser getDeviceBindStatus(String devsn,String devtype);
	static native public boolean sendSMS(String phonenum,String content);
	static native public boolean upgrateFavoriteProgramList(String userid,
			List<FavouriteProgram> list);
	static native public List<FavouriteProgram> downgrateFavoriteProgramList(String userid
			);
	
	
	
	

	static native public boolean addOrderProgramme(String devsn,int channelIndex, String dtartDateTime, String durationTime, String programeName);



	static native public boolean deleteOrder(String devsn,int miIndex, String programmerName,
			String startNotifyDateTime);


	
	static native public List<RemoteOrderChannel> getOrderList(String devsn);
	
	//ghy add 20150706
	//IPP 设置
	
	//voiceType 设置语音空调声音类型 1.女生 2.男生 3.儿童 4.四川话
	static native public boolean fnsetVoiceType(int id,String voiceType);

	//voiceVolume 设置语音空调声音大小 0~100取值
	static native public boolean fnsetVoiceVolume(int id,int voiceVolume);
	
		//voiceStatus 设置语音空调开启和关闭 0关闭 1开启
	static native public boolean fnsetVoiceSwitch(int id,int voiceStatus);


	//IPP获取
	
	
	//获取语音空调声音类型 1.女生 2.男生 3.儿童 4.四川话
	static native public String fngetVoiceType(int id);

	
	// 获取语音空调声音大小 0~100取值
	static native public int fngetVoiceVolume(int id);

	
	//获取语音空调开启和关闭 0关闭 1开启
	static native  public int fngetVoiceSwitch(int id);
	
	/**——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 * 智能烟灶
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 *——————————————————————————————————————————————————
	 */
	
	
	/**
	 * 风力设置接口
	 * @param id：所连接智能烟灶的ID
	 * @param windlevel：风力大小
	 * 0：关闭
	 * 1~3：3个风力等级
	 * 
	 * @return
	 */
	static native public boolean fnHOCOSetWind(int id, int windlevel);
	
	
	/**
	 * 照明开关接口
	 * @param id：所连接智能烟灶的ID
	 * @param illumination：照明开关
	 * 0：关闭
	 * 1：开启
	 * @return
	 */
	static native public boolean fnHOCOSetIllumination(int id, int illumination);
	
	/**
	 * 风随烟动开关接口
	 * @param id：所连接智能烟灶的ID
	 * @param windbysmoke：风随烟动开关
	 * 0：关闭
	 * 1：开启
	 * @return
	 */
	static native public boolean fnHOCOSetWindBySmoke(int id, int windbysmoke);
	
	
	/**
	 * 火力调节接口
	 * @param id：所连接智能烟灶的ID
	 * @param cookernum：选择左右灶
	 * 0：选择左灶
	 * 1：选择右灶
	 * @param firelevel：火力大小
	 * 0：关闭
	 * 1~6：6个火力等级
	 * @return
	 */
	static native public boolean fnHOCOSetFireLevel(int id, int cookernum, int firelevel);
	
	
	/**
	 * 火力定时接口
	 * @param id：所连接智能烟灶的ID
	 * @param cookernum：选择左右灶
	 * 0：选择左灶
	 * 1：选择右灶
	 * @param time：定时时间段链表
	 * @return
	 */
	static native public boolean fnHOCOSetFireTime(int id, int cookernum, List<IppCOTime> time, String recipe);
	
	
	/**
	 * 烟灶时间获取接口
	 * @param id：所连接智能烟灶的ID
	 * @return IppDtime：烟灶详细时间
	 */
	static native public IppDtime fnHOCOGetTime(int id);
	
	
	/**
	 * 状态获取类接口
	 * @param id：所连接智能烟灶的ID
	 * @return
	 */
	static native public IppHocoStatus fnHOCOGetStatus(int id);
	
	
	
	/**
	 * 美食接口
	 * @param id：所连接智能烟灶的ID
	 * @param url：食谱网络地址
	 * @return
	 */
	static native public boolean fnHOCOSendRecipe(int id, String url);
	
	/**
	 * 手机向热水器发送命令接口
	 * @param id：所连接智能热水器的ID
	 * @param string：发送的命令
	 * @return
	 */
	static native public void fnHOCOSendCommand(int id, String string);
	
	
	/**
	 * 验证码传输接口
	 * @param id：所连接智能烟灶的ID
	 * @param verifycode：验证码
	 * @return
	 */
	static native public boolean fnHOCOVerifyCodeSend(int id, String verifycode);
	
	
	/**
	 * 验证码修改接口
	 * @param id：所连接智能烟灶的ID
	 * @param verifycode：验证码
	 * @return
	 */
	static native public boolean fnHOCOVerifyCodeChange(int id, String verifycode);
	
	/**
	 * SSID设置接口
	 * @param ssid：ssid
	 * @return 
	 * true：修改成功
	 * false：修改失败
	 */
	static native public boolean fnHOCOSetSSID(int id, String ssid);
	
	/**
	 * BSSID设置接口
	 * @param ssid：ssid
	 * @return 
	 * true：修改成功
	 * false：修改失败
	 */
	static native public boolean fnHOCOSetBSSID(int id, String ssid);
	
	
	/**
	 * wifi密码设置接口
	 * @param pwd：wifi密码
	 * @return 
	 * true：修改成功
	 * false：修改失败
	 */
	static native public boolean fnHOCOSetWifiPwd(int id, String pwd);
	
	/**
	 * 激活码修改接口
	 * @param code：激活码
	 * @return 
	 * true：修改成功
	 * false：修改失败
	 */
	static native public boolean fnHOCOSetActiveCode(int id, String code);

	/**
	 * 昵称修改接口
	 * @param nickname：昵称
	 * @return 
	 * true：修改成功
	 * false：修改失败
	 */
	static native public boolean fnHOCOSetNickName(int id, String nickname);
	

	 /**
    * 同步設置烟机wifi模块模式:AP or STA
    * 0:AP
    * 1:STA
    * 
    * @return 是否成功
    */
	static native public boolean fnHOCOSetWifiMode(int dev, int mode);// 設置空调wifi模块模式
	 
	/**
	 * 设置左风力大小
	 * @param id
	 * @param wind
	 * @return
	 */
	static native public boolean fnHOCOSetWindLeft(int id, int wind);
	
	/**
	 * 设置右风力大小
	 * @param id
	 * @param wind
	 * @return
	 */
	static native public boolean fnHOCOSetWindRight(int id, int wind);
	
	/**
	 * 设置统一风力开关
	 * @param id
	 * @param onoff
	 * @return
	 */
	static native public boolean fnHOCOSetWindSync(int id, int onoff);
	
	/**
	 * 设置蒸汽洗开关
	 * @param id
	 * @param onoff
	 * @return
	 */
	static native public boolean fnHOCOSetSteamClean(int id, int onoff);
	
	/**
	 * 设置自动清洗开关
	 * onoff
	 * 0：关闭
	 * 1 : 开启
	 * @return 
	 * true：设置成功
	 * false：风力调节失败
	 */
	static native public boolean fnHOCOSetAutoClean(int id, int onoff);
	
//	static native public boolean fnHOCOSetLeftBanTimingOff(int id, int onoff);
//	static native public boolean fnHOCOSetLeftTimingOffTime(int id, int time);
//	
//	static native public boolean fnHOCOSetRightBanTimingOff(int id, int onoff);
//	static native public boolean fnHOCOSetRightTimingOffTime(int id, int time);
	
	/**
	 * 低成本火力定时接口
	 * @param id：所连接智能烟灶的ID
	 * @param cookernum：选择左右灶
	 * 0：选择左灶
	 * 1：选择右灶
	 * @param time：定时时间段链表
	 * @return
	 */
	static native public boolean fnHOCOSetLowFireTime(int id, int cookernum, List<IppCOTime> time, String recipe);
	/**
	 * 获取烟机验证码
	 * @param id
	 * @return
	 */
	static native public String fnHOCOGetVerifyCode(int id);
	/**
	 * 高成本状态获取类接口
	 * @param id：所连接智能烟灶的ID
	 * @return
	 */
	static native public IppHocoStatus fnHOCOGetHighStatus(int id);
	/**
	 * 设置烟机开关接口
	 * @param id :所连接智能烟灶的ID
	 * @param onoff:0表示关,1表示开
	 * @return
	 */
	static native public boolean fnHOCOSetPower(int id,int onoff);
	/**
	 * 获取烟机开关状态
	 * @param id
	 * @return
	 */
	static native public String fnHOCOGetPowerStatus(int id);
	
	/**
	 * 获取热水器状态
	 * @param id
	 * @return
	 */
	static native public String fnHOCOGetHeaterStatus(int id);
	
	static native public boolean fnACSetComfortAdjAngle(int id, int angle);
	
	static native public boolean fnACSetComfortAdjDistance(int id, int distance);
	
	static native public int fnACGetElecCurrentInt(int id);

	/**
	 * ECC 加密解密功能函数
	 */
	
	/**
	 * 调用此方法来初始化ECC秘钥信息，生成私钥和公钥，默认使用uECC_secp160r1
	 * @return 1 - 成功 ； 0 - 失败
	 */
	public static native int ueccContextInit();
	/**
	 * 获取自己的公钥
	 * @return 
	 */
	public static native byte[] getPubKey();
	
	/**
	 * 加密数据
	 * @param pubkeyPeer - 对方的公钥
	 * @param data - 待加密的数据
	 * @param length - 待加密数据长度
	 * @return 加密后的数据
	 */
	public static native byte[] enCrypt(byte[] pubkeyPeer, byte[] data, int length);
	
	/**
	 * 解密数据
	 * @param pubkeyPeer - 对方的公钥
	 * @param data - 待解密数据
	 * @param length - 待解密数据长度
	 * @return 解密后的数据
	 */
	public static native byte[] deCrypt(byte[] pubkeyPeer, byte[] data, int length);
	

}


