package com.changhong.ippmodel;

import android.util.Log;

import com.changhong.ippctrl.IAirConditionnerFunsets;
import com.changhong.ippjni.IppCoreJni;
/**
 * 
 * |DEVI_OWNERID:|
   DEVC_OWNERNAME:|
   DEVI_CTRLFLAG:|
   DEVI_DEVICEID:|
   DEVC_SN:|
   DEVC_TYPE:|
   DEVC_DEVICENAME:|
   DEVI_ONLINE:|
   ACD_TEMPRATURE:|
   ACI_SPEEDMODE:|
   ACI_DIRECTIONH:|
   ACI_DIRECTIONV:|
   ACI_ASISDENTHOT:|
   ACI_POWERMODE:|
   ACI_WORKMODE:|
   ACI_FULLAUTOMATIC:|
   ACI_FRESHAIR:|
   ACI_SLEEP:|
   ACI_ANTICONDENSATION:|
   ACI_POWERONSTATUS:|
   ACI_POWERONTIME:|
   ACI_SHUTDOWNSTATUS:|
   ACI_SHUTDOWNTIME:|
   ACI_WINDASPEOPLEMOVE:|
   ACD_ROOMTEMPERATURE:|
   ACD_ELECCURRENT:|
   ACI_AIRQUALITY:|
   ACI_ILLUMINATION:|
   ACI_INTELLIGENTMODE:|
   ACI_AIRQUALITYLEVEL:|
   ACI_FILTERREPLACETIME:|
   ACD_OUTDOORTEMPERATURE:|
   ACI_AVARAGEPOWER:|
   ACI_TOTALPOWER:|
   
   
   

 

 *
 */
public class IppAirConditionner extends IppDevice implements
		IAirConditionnerFunsets {

	public double mTemprature;// 温度
	public int mFanSpeedMode;// 风速
	public int mFanDirectionHMode;// 水平风向
	public int mFanDirectionVMode;// 垂直风向
	public int mDryerMode;//
	public int mAsistentHot;// 辅助加热
	public int mPowerMode;// 电源模式
	public int mWorkMode;// 工作模式

	public int mFullAutomatic;// 全自动
	public int mFreshAir;// 空气清新
	public int mSleep;// 睡眠
	public int mAntiCondensation;// 防凝露

	public int mTimingPowerOnStatus;// 定时开机状态
	public int mPowerOnTime;// 定时开机时间
	public int mTimingShutDonwStatus;// 定时关机状态
	public int mShutDonwTime;// 定时关机时间

	public int mWindAsPeopleMove;// 风随人动
	public double mRoomTemperature;// 室内温度
	public double mElecCurrent;// 电流值
	public int mAirQuality;// 空气质量
	public int mIllumination;// 光照
	public int mHumidity;// 湿度
	public int mIntelligentMode;// 智能模式
	public int mAirQualityLevel;// 空气质量等级
	public int mFilterReplaceTime;// 滤网更换剩余时间
	public double mOutdoorTemperature;// 室外温度
	public int mAvaragePower; // 平均功率
	public int mTotalPower;// 总功

	/********* add by czb at 2014-2-11 ********************/
	public int mWifiMode;
	public String mVersion;
	public String mSocVersion;
	public String mSerialNumber;
	public String mSoftwareVersion;
	public String mAcCameraIP;

	public int mLowSignalNoise;
	public int mEnergySaving;
	public int mLightSensation;
	public int mManualWork;
	public int mUNManed;
	public int mTimingPowerON;
	public int mTimingPowerOff;
	public int mActualAssistentHot;
	public int mAlarmCameralState;
	public int mAlarmTimeBegin;
	public int mAlarmTimeEnd;
	public int mVoiceRemindSwitchState;
	public int mConnectedLowConsumptionMode;
	public double mGetPower;
	public int mwifiAP;

	public String mVoiceContent;

	public int mSystermTime;

	/*************************** 2014.04.11 zenglin ****************************/
	public int mFilterState; // 空调滤网的清洁程度
	public int mNobodyState;// 房间无人状态
	public int mFilterMode;// 空调滤网的提醒方式
	public int mFilterTime;// 空调滤网的提醒时间
	public int mFixWindMode;// 空调修正风速的开关
	public int mChildPrect;// 空调儿童保护模式
	public int mComfortAdj;// 空调动态分区模式
	public int mPopDynident;// 空调家庭聚会模式
	public int mVipMode;// 空调VIP模式
	// public int mVipModeAngle[] = new int[4];//空调VIP模式各分区的模式
	public int mVipModeAngle1;
	public int mVipModeAngle2;
	public int mVipModeAngle3;
	public int mVipModeAngle4;
	public String mIRlist;// 红外阵列参数
	public int mChildKickQuilt; // 儿童踢被参数
	public int mChildLock;// 锁定儿童参数
	public int mAdapterMode;// 自适应模式

	public int mAutoAirFresh;// 空气自动清洁
	public float mAirFreshTime;// 空气自动清洁运行时间
	public int mAirFreshLast;// 空气自动清洁运行剩余时间
	public int mAutoPMRange;// 自动PM2.5门限
	public int mPMLevel;// PM2.5值

	// ghy add 20150706
	public String voiceType;//
	public int voiceVolume;
	public int voiceSwitch;

	public IppAirConditionner(int power, double temp, int fanspeed,
			int fandirectionh, int fandirectionv, int dry, int hot, int work,
			int id, long funids, String uuid, String name, String positon,
			String attrib, int protocol, int type, String sta, String key,
			String serial, String ctype,
			/*************** modify by WangXiongwei ******************/
			int FullAutomatic, int FreshAir, int Sleep, int AntiCondensation,
			int TimingPowerOnStatus, int PowerOnTime, int TimingShutDonwStatus,
			int ShutDonwTime, int WindAsPeopleMove, double RoomTemperature,
			double ElecCurrent, int AirQuality, int Illumination, int Humidity,
			int IntelligentMode, int AirQualityLevel, int FilterReplaceTime,
			double OutdoorTemperature, int avaragepower, int totalpower,
			int ctrlflag, String username, int userid,String ip
	/*******************************************************/
	) {
		super(ip,username, userid, ctrlflag, id, funids, uuid, name, positon,
				attrib, protocol, type, sta, key, serial, ctype);

		mTemprature = temp;
		mFanDirectionHMode = fandirectionh;
		mFanDirectionVMode = fandirectionv;
		mFanSpeedMode = fanspeed;
		mDryerMode = dry;
		mAsistentHot = hot;
		mPowerMode = power;
		mWorkMode = work;

		/*************** modify by WangXiongwei ******************/
		mFullAutomatic = FullAutomatic;
		mFreshAir = FreshAir;
		mSleep = Sleep;
		mAntiCondensation = AntiCondensation;
		mTimingPowerOnStatus = TimingPowerOnStatus;
		mPowerOnTime = PowerOnTime;
		mTimingShutDonwStatus = TimingShutDonwStatus;
		mShutDonwTime = ShutDonwTime;
		mWindAsPeopleMove = WindAsPeopleMove;
		mRoomTemperature = RoomTemperature;
		mElecCurrent = ElecCurrent;
		mAirQuality = AirQuality;
		mIllumination = Illumination;
		mHumidity = Humidity;
		mIntelligentMode = IntelligentMode;
		mAirQualityLevel = AirQualityLevel;
		mFilterReplaceTime = FilterReplaceTime;
		mOutdoorTemperature = OutdoorTemperature;

		mAvaragePower = avaragepower; // 平均功率
		mTotalPower = totalpower;// 总功
		/*******************************************************/
		// TODO Auto-generated constructor stub
	}

	// TODO Auto-generated constructor stub

	/**
	 * @param
	 * 
	 * @return
	 */
	public boolean setTemprature(double temp) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTemprature(mDeviceID, temp)) {
				mTemprature = temp;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {}

		return false;
	}

	/**
	 * @param
	 * 
	 * @return
	 */

	public boolean setFanSpeedMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFanSpeedMode(mDeviceID, mode)) {
				mFanSpeedMode = mode;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return false;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public boolean setFanDirectionHMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFanDirectionHMode(mDeviceID, mode)) {
				mFanDirectionHMode = mode;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {}

		return false;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public boolean setFanDirectionVMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFanDirectionVMode(mDeviceID, mode)) {
				mFanDirectionVMode = mode;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {}

		return false;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	// public boolean setDryerMode(int mode)
	// {
	// if (IppCoreJni.setDryerMode(mDeviceID, mode))
	// {
	// mDryerMode = mode;
	// return true;
	// }
	// return false;
	// }

	/**
	 * @param
	 * 
	 * @return
	 */
	public boolean setAsistentHot(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAsistentHot(mDeviceID, mode)) {
				mAsistentHot = mode;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {}

		return false;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public double getTemprature() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetTemprature(mDeviceID);

		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mTemprature;

	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public int getFunSpeedMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFanSpeedMode(mDeviceID);

		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFanSpeedMode;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public int getFanDirectionHMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFanDirectionHMode(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFanDirectionHMode;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public int getFanDirectionVMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFanDirectionVMode(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFanDirectionVMode;
	}

	/**
	 * @param
	 * 
	 * @return
	 */
	// public int getDryerMode()
	// {
	// return mDryerMode;
	//
	// }

	/**
	 * @param
	 * 
	 * @return
	 */
	public int getAsistentHot() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetAsistentHot(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mAsistentHot;

	}

	/**
	 * @param
	 * 
	 * @return
	 */

	/**
	 * @param
	 * 
	 * @return
	 */
	public boolean setPowerMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.setPowerMode(mDeviceID, mode)) {
				mPowerMode = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}

		return false;

	}

	/**
	 * @param
	 * 
	 * @return
	 */
	public int getPowerMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetPowerMode(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mPowerMode;
	}

	@Override
	public boolean isFunctionEnable(long funid, long result) {
		// TODO Auto-generated method stub
		return (mFunctionID | funid) == result;
	}

	@Override
	public boolean setWorkMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetWorkMode(mDeviceID, mode)) {
				mWorkMode = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public int getWorkMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)

			return IppCoreJni.fnACGetWorkMode(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mWorkMode;
	}

	@Override
	public String toString() {
		// TODO Auto-generated method stub
		return super.toString() + '\n' + " mWorkMode = " + mWorkMode
				+ " mPowerMode = " + mPowerMode + " mTemprature = "
				+ mTemprature + " mFanSpeedMode = " + mFanSpeedMode
				+ " mFanDirectionHMode = " + mFanDirectionHMode
				+ " mFanDirectionVMode = " + mFanDirectionVMode
				+ " mDryerMode = " + mDryerMode + " mAsistentHot = "
				+ mAsistentHot;
	}

	@Override
	public boolean setFullAutomatic(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFullAutomatic(mDeviceID, mode)) {
				mFullAutomatic = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		// TODO Auto-generated method stub

		return false;

	}

	@Override
	public boolean setFreshAir(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFreshAir(mDeviceID, mode)) {
				mFreshAir = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setSleep(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetSleep(mDeviceID, mode)) {
				mSleep = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setAntiCondensation(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAntiCondensation(mDeviceID, mode)) {
				mAntiCondensation = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setTimingPowerOnStatus(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTimingPowerOnStatus(mDeviceID, mode)) {
				mTimingPowerOnStatus = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setTimingShutDonwStatus(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTimingShutDonwStatus(mDeviceID, mode)) {
				mTimingShutDonwStatus = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setPowerOnTime(int time) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetPowerOnTime(mDeviceID, time)) {
				mPowerOnTime = time;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setShutDonwTime(int time) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetShutDonwTime(mDeviceID, time)) {
				mShutDonwTime = time;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setWindAsPeopleMove(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetWindAsPeopleMove(mDeviceID, mode)) {
				mWindAsPeopleMove = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public boolean setIntelligentMode(int mode) {
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetIntelligentMode(mDeviceID, mode)) {
				mIntelligentMode = mode;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		// TODO Auto-generated method stub

		return false;
	}

	@Override
	public int getFullAutomatic() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFullAutomatic(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFullAutomatic;
	}

	@Override
	public int getFreshAir() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFreshAir(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFreshAir;
	}

	@Override
	public int getSleep() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetSleep(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mSleep;
	}

	@Override
	public int getAntiCondensation() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetAntiCondensation(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mAntiCondensation;
	}

	@Override
	public int getTimingPowerOnStatus() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetTimingPowerOnStatus(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mTimingPowerOnStatus;
	}

	@Override
	public int getTimingShutDonwStatus() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetTimingShutDonwStatus(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mTimingShutDonwStatus;
	}

	@Override
	public int getPowerOnTime() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetPowerOnTime(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mPowerMode;
	}

	@Override
	public int getShutDonwTime() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetShutDonwTime(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mShutDonwTime;
	}

	@Override
	public int getWindAsPeopleMove() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetWindAsPeopleMove(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mWindAsPeopleMove;
	}

	@Override
	public double getRoomTemperature() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetRoomTemperature(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mRoomTemperature;
	}

	@Override
	public double getElecCurrent() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetElecCurrent(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mElecCurrent;
	}

	@Override
	public int getAirQuality() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetAirQuality(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mAirQuality;
	}

	@Override
	public int getIllumination() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetIllumination(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mIllumination;
	}

	@Override
	public int getHumidity() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetHumidity(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mHumidity;
	}

	@Override
	public int getIntelligentMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetIntelligentMode(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mIntelligentMode;
	}

	@Override
	public int getAirQualityLevel() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetAirQualityLevel(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mAirQualityLevel;
	}

	@Override
	public int getFilterReplaceTime() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFilterReplaceTime(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return mFilterReplaceTime;
	}

	@Override
	public double getOutdoorTemperature() {
		if (mProtocolType == IppConstractData.IPP_LAN)

		{
			double tmp = IppCoreJni.fnACGetOutdoorTemperature(mDeviceID);

			System.out.println("  IPPLAN getOutdoorTemperature" + tmp);
			return tmp;
		}
	
		return mOutdoorTemperature;
	}

	@Override
	public int getFanSpeedMode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnACGetFanSpeedMode(mDeviceID);
	
		return mFanSpeedMode;
	}

	public boolean setResetFilterReplaceTime(int mode) {

		return IppCoreJni.fnACSetResetFilterReplaceTime(mDeviceID, mode);

	}

	public boolean setWIFISSID(String ssid) {

		return IppCoreJni.fnACSetWIFISSID(mDeviceID, ssid);
	}

	public boolean setWIFIPWD(String pwd) {

		return IppCoreJni.fnACSetWIFIPWD(mDeviceID, pwd);
	}

	public boolean setActivatonCode(String code) {

		return IppCoreJni.fnACSetActivatonCode(mDeviceID, code);
	}


	
	
	@Override
	public int getTotalPower() {

		if (mProtocolType == IppConstractData.IPP_LAN) {
			mTotalPower = IppCoreJni.fnACGetTotalPower(mDeviceID);
			return mTotalPower;
		}
		return mTotalPower;

	}

	@Override
	public int getAvaragePower() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAvaragePower = IppCoreJni.fnACGetAvaragePower(mDeviceID);
			return mAvaragePower;
		}
		return mAvaragePower;
	}

	// **************czb*************add at 2014-2-11

	@Override
	public int getAcWifiMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mWifiMode = IppCoreJni.fnACGetWIFIMode(mDeviceID);
			return mWifiMode;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mWifiMode;
	}

	@Override
	public String getAcType() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVersion = IppCoreJni.fnACGetType(mDeviceID);
			return mVersion;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mVersion;
	}

	@Override
	public String getAcSocVersion() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mSocVersion = IppCoreJni.fnACGetSocVersion(mDeviceID);
			return mSocVersion;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mSocVersion;
	}

	@Override
	public String getAcSerialNumber() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mSerialNumber = IppCoreJni.fnACGetSerialNumber(mDeviceID);
			return mSerialNumber;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mSerialNumber;
	}

	@Override
	public String getAcCameraIP() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAcCameraIP = IppCoreJni.fnACGetCameraIP(mDeviceID);
			return mAcCameraIP;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mAcCameraIP;
	}

	@Override
	public String getSoftwareVersion() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mSoftwareVersion = IppCoreJni.fnACGetSoftwareVersion(mDeviceID);
			return mSoftwareVersion;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mSoftwareVersion;
	}

	@Override
	public int getAcLowSignalNoise() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mLowSignalNoise = IppCoreJni.fnACGetLowSignalNoise(mDeviceID);
			return mLowSignalNoise;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mLowSignalNoise;
	}

	@Override
	public int getAcEnergySaving() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mEnergySaving = IppCoreJni.fnACGetEnergySaving(mDeviceID);
			return mEnergySaving;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mEnergySaving;
	}

	@Override
	public int getAcLightSensation() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mLightSensation = IppCoreJni.fnACGetLightSensation(mDeviceID);
			return mLightSensation;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mLightSensation;
	}

	@Override
	public int getManualWork() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mManualWork = IppCoreJni.fnACGetManualWork(mDeviceID);
			return mManualWork;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mManualWork;
	}

	@Override
	public int getUNManed() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mUNManed = IppCoreJni.fnACGetUNManed(mDeviceID);
			return mUNManed;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mUNManed;
	}

	@Override
	public int getTimingPowerOn() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mTimingPowerON = IppCoreJni.fnACGetTimingPowerOn(mDeviceID);
			return mTimingPowerON;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mTimingPowerON;
	}

	@Override
	public int getTimingPowerOff() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mTimingPowerOff = IppCoreJni.fnACGetTimingPowerOff(mDeviceID);
			return mTimingPowerOff;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mTimingPowerOff;
	}

	@Override
	public int getActualAssistentHot() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mActualAssistentHot = IppCoreJni.fnACGetAsistentHot(mDeviceID);
			return mActualAssistentHot;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mActualAssistentHot;
	}

	@Override
	public int getAlarmCameralSwitchState() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAlarmCameralState = IppCoreJni
					.fnACGetAlarmCameralSwitchState(mDeviceID);
			return mAlarmCameralState;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mAlarmCameralState;
	}

	@Override
	public int getAlarmTimeBegin() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAlarmTimeBegin = IppCoreJni.fnACGetAlarmTimeBegin(mDeviceID);
			return mAlarmTimeBegin;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mAlarmTimeBegin;
	}

	@Override
	public int getAlarmTimeEnd() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAlarmTimeEnd = IppCoreJni.fnACGetAlarmTimeEnd(mDeviceID);
			return mAlarmTimeEnd;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mAlarmTimeEnd;
	}

	@Override
	public int getVoiceRemindSwitchState() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVoiceRemindSwitchState = IppCoreJni
					.fnACGetVoiceRemindSwitchState(mDeviceID);
			return mVoiceRemindSwitchState;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mVoiceRemindSwitchState;
	}

	@Override
	public int getConnectedLowConsumptionMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mConnectedLowConsumptionMode = IppCoreJni
					.fnACGetConnectedLowConsumptionMode(mDeviceID);
			return mConnectedLowConsumptionMode;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mConnectedLowConsumptionMode;
	}

	@Override
	public double getPower() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mGetPower = IppCoreJni.fnACGetPower(mDeviceID);
			return mGetPower;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return mGetPower;
	}

	@Override
	public boolean setLowSignalNoise(int onoff) {
		// TODO Auto-generated method stub
		Log.d("test", "hhh");
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetLowSignalNoise(mDeviceID, onoff)) {
				Log.d("test", "onoff");
				mLowSignalNoise = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return false;
	}

	@Override
	public boolean setEnergySaving(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetEnergySaving(mDeviceID, onoff)) {
				mEnergySaving = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return false;
	}

	@Override
	public boolean setLightSensation(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			Log.e("setLightSensation IppAirConDitioner", "before ");
		if (IppCoreJni.fnACSetLightSensation(mDeviceID, onoff)) {
			Log.e("setLightSensation IppAirConDitioner", "after");
			mLightSensation = onoff;
			return true;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setManualWork(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetManualWork(mDeviceID, onoff)) {
				mManualWork = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setUNManed(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetUNManed(mDeviceID, onoff)) {
				mUNManed = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setTimingPowerOn(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTimingPowerOn(mDeviceID, onoff)) {
				mTimingPowerON = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setTimingPowerOff(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTimingPowerOff(mDeviceID, onoff)) {
				mTimingPowerOff = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setActualAssistentHot(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAsistentHot(mDeviceID, onoff)) {
				mActualAssistentHot = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setAlarmCameralSwitchState(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAlarmCameralSwitchState(mDeviceID, onoff)) {
				mAlarmCameralState = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setAlarmTimeBegin(int time) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAlarmTimeBegin(mDeviceID, time)) {
				mAlarmTimeBegin = time;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setAlarmTimeEnd(int time) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAlarmTimeEnd(mDeviceID, time)) {
				mAlarmTimeBegin = time;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setVoiceRemindSwitchState(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVoiceRemindSwitchState(mDeviceID, onoff)) {
				mVoiceRemindSwitchState = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setConnectedLowConsumptionMode(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetConnectedLowConsumptionMode(mDeviceID, onoff)) {
				mConnectedLowConsumptionMode = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setResetWifiAP(int status) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetResetWifiAP(mDeviceID, status)) {
				mwifiAP = status;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setTransferVoice(String content) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetTransferVoice(mDeviceID, content)) {
				mVoiceContent = content;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	public boolean setSystermTime(int time) {

		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetSystermTime(mDeviceID, time)) {
				mSystermTime = time;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/************* add by czb at 2014-2-11 *******************/

	// **********************************************************************************************************************************
	/*
	 * 2014.04.11 添加红外新功能接口zenglin
	 */
	// @Override
	// public boolean setWindWForUserFunc(int mode) {
	// // TODO Auto-generated method stub
	// return false;
	// }
	//
	// @Override
	// public int getWindWForUserFunc() {
	// // TODO Auto-generated method stub
	// return 0;
	// }
	/**
	 * 获取空调滤网的清洁程度
	 * 
	 * 参数 无
	 * 
	 * 返回值 -1 失败 0x00 滤网清洁 0x01 滤网有一点脏 0x02 滤网很脏
	 * 
	 */
	@Override
	// 获取空调滤网的清洁程度
	public int getFilterState() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mFilterState = IppCoreJni.fnACGetFilterState(mDeviceID);
			return mFilterState;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 获取房间无人状态
	 * 
	 * 参数 无
	 * 
	 * 返回值 0--无人 1--有人 -1 失败
	 */
	@Override
	// 获取房间无人状态
	public int getNobodyState() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mNobodyState = IppCoreJni.fnACGetNobodyState(mDeviceID);
			return mNobodyState;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 获取空调滤网的提醒方式
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 不提醒 0x01 APP提醒 0x02 短信提醒 -1 失败
	 */
	@Override
	// 获取空调滤网的提醒方式
	public int getFilterMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mFilterMode = IppCoreJni.fnACGetFilterMode(mDeviceID);
			return mFilterMode;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调滤网的提醒方式
	 * 
	 * 参数 value 0x00 不提醒 0x01 APP提醒 0x02 短信提醒
	 * 
	 * 返回值 0x01 - 0x01 成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调滤网的提醒方式
	public boolean setFilterMode(int value) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFilterMode(mDeviceID, value)) {
				mFilterMode = value;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 设置空调滤网提醒时间
	 * 
	 * 参数 value 24 24小时提醒 48 48小时提醒 72 72小时提醒
	 * 
	 * 返回值 0x01 - 成功 0x00 - 失败
	 * 
	 */
	@Override
	// 设置空调滤网提醒时间
	public boolean setFilterTime(int value) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFilterTime(mDeviceID, value)) {
				mFilterTime = value;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调滤网的提醒方式
	 * 
	 * 参数 无
	 * 
	 * 返回值 24 :每24小时提醒 48 :每48小时提醒 72 :每72小时提醒 -1 失败
	 */
	@Override
	// 获取空调滤网的提醒时间
	public int getFilterTime() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mFilterTime = IppCoreJni.fnACGetFilterTime(mDeviceID);
			return mFilterTime;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调修正风速的开关
	 * 
	 * 参数 onoff 0x00 关闭 0x01 打开
	 * 
	 * 返回值 0x01 - 0x01 成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调修正风速的开关
	public boolean setFixWindMode(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetFixWindMode(mDeviceID, onoff)) {
				mFixWindMode = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调修正风速的开关
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 关闭 0x01 打开 -1 失败
	 */
	@Override
	// 获取空调修正风速的开关
	public int getFixWindMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mFixWindMode = IppCoreJni.fnACGetFixWindMode(mDeviceID);
			return mFixWindMode;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调儿童保护模式
	 * 
	 * 参数 onoff 0x00 关闭 0x01 打开
	 * 
	 * 返回值 0x01 - 0x01 成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调儿童保护模式
	public boolean setChildPrect(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetChildPrect(mDeviceID, onoff)) {
				mChildPrect = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调儿童保护模式
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 关闭 0x01 打开 -1 失败
	 */
	@Override
	// 获取空调儿童保护模式
	public int getChildPrect() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mChildPrect = IppCoreJni.fnACGetChildPrect(mDeviceID);
			return mChildPrect;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调动态分区模式
	 * 
	 * 参数 onoff 0x00 关闭 0x01 打开
	 * 
	 * 返回值 0x01 - 0x01 成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调动态分区模式
	public boolean setComfortAdj(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetComfortAdj(mDeviceID, onoff)) {
				mComfortAdj = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调动态分区模式
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 关闭 0x01 打开 -1 失败
	 */
	@Override
	// 获取空调动态分区模式
	public int getComfortAdj() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mComfortAdj = IppCoreJni.fnACGetComfortAdj(mDeviceID);
			return mComfortAdj;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调家庭聚会模式
	 * 
	 * 参数 onoff 0x00 关闭 0x01 打开
	 * 
	 * 返回值 0x01 - 0x01成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调家庭聚会模式
	public boolean setPopDynident(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetPopDynident(mDeviceID, onoff)) {
				mPopDynident = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调家庭聚会模式
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 关闭 0x01 打开 -1 失败
	 */
	@Override
	// 获取空调家庭聚会模式
	public int getPopDynident() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mPopDynident = IppCoreJni.fnACGetPopDynident(mDeviceID);
			return mPopDynident;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调VIP模式
	 * 
	 * 参数 onoff 0x00 关闭 0x01 打开
	 * 
	 * 返回值 0x01 - 0x01 成功 0x00 - 0x00 失败
	 * 
	 */
	@Override
	// 设置空调VIP模式
	public boolean setVipMode(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVipMode(mDeviceID, onoff)) {
				mVipMode = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调VIP模式
	 * 
	 * 参数 无
	 * 
	 * 返回值 0x00 关闭 0x01 打开 -1 失败
	 */
	@Override
	// 获取空调VIP模式
	public int getVipMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVipMode = IppCoreJni.fnACGetVipMode(mDeviceID);
			return mVipMode;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	// @Override// 设置空调VIP模式分区的模式
	// public boolean setVipModeAngle(int sector, int peoplecategory) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN)
	// if (IppCoreJni.fnACSetVipModeAngle(mDeviceID, sector, peoplecategory)) {
	// mVipModeAngle[sector] = peoplecategory;
	// return true;
	// }
	//
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return false;
	// }
	//
	// @Override// 获取空调VIP模式分区的模式
	// public int getVipModeAngle(int sector) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN) {
	// mVipModeAngle[sector] = IppCoreJni.fnACGetVipModeAngle(mDeviceID,
	// sector);
	// return mVipModeAngle[sector];
	// }
	//
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return 0;
	// }
	/**
	 * 设置空调VIP模式1分区的模式
	 * 
	 * 
	 * 参数 peoplecategory 0--未设置 1--大人模式 2--小孩模式
	 * 
	 * 返回值 0x01 - 成功 0x00 - 失败
	 * 
	 */
	@Override
	// 设置空调VIP模式第一分区的模式
	public boolean setVipModeAngle1(int peoplecategory) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVipModeAngle1(mDeviceID, peoplecategory)) {
				mVipModeAngle1 = peoplecategory;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调VIP模式第1分区的模式
	 * 
	 * 参数
	 * 
	 * 
	 * 返回值 0--未设置 1--大人模式 2--小孩模式 -1 失败
	 */
	@Override
	// 获取空调VIP模式第一分区的模式
	public int getVipModeAngle1() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVipModeAngle1 = IppCoreJni.fnACGetVipModeAngle1(mDeviceID);
			return mVipModeAngle1;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调VIP模式2分区的模式
	 * 
	 * 参数
	 * 
	 * 参数 peoplecategory 0--未设置 1--大人模式 2--小孩模式
	 * 
	 * 返回值 0x01 - 成功 0x00 - 失败
	 * 
	 */
	@Override
	// 设置空调VIP模式第二分区的模式
	public boolean setVipModeAngle2(int peoplecategory) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVipModeAngle2(mDeviceID, peoplecategory)) {
				mVipModeAngle2 = peoplecategory;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调VIP模式第2分区的模式
	 * 
	 * 参数
	 * 
	 * 
	 * 返回值 0--未设置 1--大人模式 2--小孩模式 -1 失败
	 */
	@Override
	// 获取空调VIP模式第二分区的模式
	public int getVipModeAngle2() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVipModeAngle2 = IppCoreJni.fnACGetVipModeAngle2(mDeviceID);
			return mVipModeAngle2;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调VIP模式3分区的模式
	 * 
	 * 参数
	 * 
	 * 参数 peoplecategory 0--未设置 1--大人模式 2--小孩模式
	 * 
	 * 返回值 0x01 - 成功 0x00 - 失败
	 * 
	 */
	@Override
	// 设置空调VIP模式第三分区的模式
	public boolean setVipModeAngle3(int peoplecategory) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVipModeAngle3(mDeviceID, peoplecategory)) {
				mVipModeAngle3 = peoplecategory;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调VIP模式第3分区的模式
	 * 
	 * 参数
	 * 
	 * 
	 * 返回值 0--未设置 1--大人模式 2--小孩模式 -1 失败
	 */
	@Override
	// 获取空调VIP模式第三分区的模式
	public int getVipModeAngle3() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVipModeAngle3 = IppCoreJni.fnACGetVipModeAngle3(mDeviceID);
			return mVipModeAngle3;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置空调VIP模式4分区的模式
	 * 
	 * 参数
	 * 
	 * 参数 peoplecategory 0--未设置 1--大人模式 2--小孩模式
	 * 
	 * 返回值 0x01 - 成功 0x00 - 失败
	 * 
	 */
	@Override
	// 设置空调VIP模式第四分区的模式
	public boolean setVipModeAngle4(int peoplecategory) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetVipModeAngle4(mDeviceID, peoplecategory)) {
				mVipModeAngle4 = peoplecategory;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取空调VIP模式第4分区的模式
	 * 
	 * 参数
	 * 
	 * 
	 * 返回值 0--未设置 1--大人模式 2--小孩模式 -1 失败
	 */
	@Override
	// 获取空调VIP模式第四分区的模式
	public int getVipModeAngle4() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mVipModeAngle4 = IppCoreJni.fnACGetVipModeAngle4(mDeviceID);
			return mVipModeAngle4;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 设置自适应模式开关
	 * 
	 * 参数 onoff 0——关 1——开
	 * 
	 * 返回值 0——成功 1——失败
	 */
	@Override
	public boolean setAdapterMode(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAdapterMode(mDeviceID, onoff)) {
				mAdapterMode = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	/**
	 * 获取自适应模式开关
	 * 
	 * 参数 无
	 * 
	 * 返回值 0——未锁定 1——锁定
	 */
	@Override
	public int getAdapterMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAdapterMode = IppCoreJni.fnACGetAdapterMode(mDeviceID);
			return mAdapterMode;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 获取儿童踢被状态
	 * 
	 * 参数 无
	 * 
	 * 返回值 0——未踢被 1——踢被
	 */
	@Override
	public int getChildKickQuilt() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mChildKickQuilt = IppCoreJni.fnACGetChildKickQuilt(mDeviceID);
			return mChildKickQuilt;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 获取儿童锁定状态
	 * 
	 * 参数 无
	 * 
	 * 返回值 0——未锁定 1——锁定
	 */
	@Override
	public int getChildLockMode() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mChildLock = IppCoreJni.fnACGetChildLockMode(mDeviceID);
			return mChildLock;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	/**
	 * 获取红外阵列参数
	 * 
	 * 参数 无
	 * 
	 * 返回值
	 * 
	 * String
	 */
	@Override
	public String getIRArrayParameters() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mIRlist = IppCoreJni.fnACGetIRArrayParameters(mDeviceID);
			return mIRlist;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	// *************2014.04.28 zenglin*****************************//

	@Override
	// 设置空气自动清洁开启
	public boolean setAutoAirFresh(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAutoAirFresh(mDeviceID, onoff)) {
				mAutoAirFresh = onoff;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	// 获取空气自动清洁状态
	public int getAutoAirFresh() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAutoAirFresh = IppCoreJni.fnACGetAutoAirFresh(mDeviceID);
			return mAutoAirFresh;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	@Override
	// 设置空气自动清洁运行时间
	public boolean setAirFreshTime(float value) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAirFreshTime(mDeviceID, value)) {
				mAirFreshTime = value;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	// 获取空气自动清洁运行时间
	public float getAirFreshTime() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAirFreshTime = IppCoreJni.fnACGetAirFreshTime(mDeviceID);
			return mAirFreshTime;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	@Override
	// 获取空气自动清洁运行剩余时间
	public int getAirFreshLastTime() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAirFreshLast = IppCoreJni.fnACGetAirFreshLastTime(mDeviceID);
			return mAirFreshLast;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	@Override
	// 设置自启动PM2.5门限
	public boolean setAutoPMRange(int value) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnACSetAutoPMRange(mDeviceID, value)) {
				mAutoPMRange = value;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	// 获取自启动PM2.5门限
	public int getAutoPMRange() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mAutoPMRange = IppCoreJni.fnACGetAutoPMRange(mDeviceID);
			return mAutoPMRange;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	@Override
	// 获取PM2.5值
	public int getPMLevel() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mPMLevel = IppCoreJni.fnACGetPMLevel(mDeviceID);
			return mPMLevel;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return 0;
	}

	@Override
	public String getFunctionStatus() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mIRlist = IppCoreJni.fnACGetFunctionStatus(mDeviceID);
			return mIRlist;
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	// ghy-------add 20150706-----------

	@Override
	public boolean setVoiceType(String VoiceType) {
		// TODO Auto-generated method stub
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			return IppCoreJni.fnsetVoiceType(mDeviceID,VoiceType);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;

	}

	@Override
	public boolean setVoiceVolume(int VoiceVolume) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			return IppCoreJni.fnsetVoiceVolume(mDeviceID,VoiceVolume);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setVoiceSwitch(int VoiceSwitch) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			return IppCoreJni.fnsetVoiceSwitch(mDeviceID,VoiceSwitch);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public String getVoiceType() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			voiceType = IppCoreJni.fngetVoiceType(mDeviceID);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return voiceType;
	}

	@Override
	public int getVoiceVolume() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			voiceVolume = IppCoreJni.fngetVoiceVolume(mDeviceID);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return voiceVolume;

	}

	@Override
	public int getVoiceSwitch() {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN) {

			voiceSwitch = IppCoreJni.fngetVoiceSwitch(mDeviceID);
		}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return voiceSwitch;
	}

	@Override
	public boolean setTempratureInt(int temp) {
		if (mProtocolType == IppConstractData.IPP_LAN) {
			return IppCoreJni.fnACSetTempratureInt(mDeviceID, temp);
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public int getTempratureInt() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			mTemprature = IppCoreJni.fnACGetTempratureInt(mDeviceID);

		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return (int)mTemprature;
	}

	@Override
	public int getRoomTemperatureInt() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			mRoomTemperature = IppCoreJni.fnACGetRoomTemperatureInt(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return (int)mOutdoorTemperature;
	}

	@Override
	public int getOutdoorTemperatureInt() {
		if (mProtocolType == IppConstractData.IPP_LAN)
		{
			mOutdoorTemperature = IppCoreJni.fnACGetOutdoorTemperatureInt(mDeviceID);
		}
	
		return (int)mOutdoorTemperature;
	}

	@Override
	public int getPowerInt() {
		if (mProtocolType == IppConstractData.IPP_LAN) {
			mGetPower = IppCoreJni.fnACGetPower(mDeviceID);
			
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return (int)mGetPower;
	}

	@Override
	public boolean SetComfortAdjAngle(int angle) {
		if(mProtocolType == IppConstractData.IPP_LAN) {
			return IppCoreJni.fnACSetComfortAdjAngle(mDeviceID, angle);
		}
		if(mProtocolType == IppConstractData.IPP_WAN) {
			
		}
		return false;
	}

	@Override
	public boolean SetComfortAdjDistance(int distance) {
		if(mProtocolType == IppConstractData.IPP_LAN) {
			return IppCoreJni.fnACSetComfortAdjDistance(mDeviceID, distance);
		}
		if(mProtocolType == IppConstractData.IPP_WAN) {
					
		}
		return false;
	}

	@Override
	public int GetElecCurrentInt() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			mElecCurrent = IppCoreJni.fnACGetElecCurrentInt(mDeviceID);

		if (mProtocolType == IppConstractData.IPP_WAN) {}
		return (int)mElecCurrent;
	}


}
