package com.changhong.ippmodel;

import java.io.Serializable;
import java.util.List;

import com.changhong.ippjni.IppCoreJni;

public abstract class IppDevice extends IppVersion implements Serializable{
	String mIP;
	String mUsername;
	int mUserid;
	int mctrlFlag;
	public int mDeviceID;
	public long mFunctionID;
	String mUUID;
	public String mName;
	public String mPosition;
	public String mAttrib;
	public String status;
	String keyinfo;
	String sn;
	public String devicetype;
	int mProtocolType;

	public int mType;

	public int getAuthorState() {

		return mctrlFlag;
	}

	public String getDeviceOwnerName() {

		return mUsername;
	}

	public String getDeviceIP() {

		return mIP;
	}

	public int getDeviceOwnerId() {

		return mUserid;
	}

	public String getSN() {
		return sn;
	}

	public String getDeviceTypeString() {
		return devicetype;
	}

	public int getDeviceType() {

		return mType;
	}

	List<IppUser> mUsers;

	IppDevice(String ip, String username, int userid, int ctrlflag, int id,
			long funids, String uuid, String name, String postion,
			String attrib, int protocol, int type, String sta, String key,
			String serial, String ctype) {
		mIP = ip;
		mUserid = userid;
		mUsername = username;
		mctrlFlag = ctrlflag;
		mDeviceID = id;
		mFunctionID = funids;
		mUUID = uuid;
		mName = name;
		mPosition = postion;
		mProtocolType = protocol;
		mAttrib = attrib;
		mType = type;

		status = sta;
		keyinfo = key;
		sn = serial;
		devicetype = ctype;

	}

	/**
	 * 获取设备ID
	 * 
	 * 
	 * 
	 * @return 返回设备ID
	 */
	public int getDeviceID() {

		return mDeviceID;
	}

	/**
	 * 获取设备名字
	 * 
	 * 
	 * 
	 * @return 返回设备名字
	 */
	public String getDeviceName() {
		//mName = IppCoreJni.fnGetDeviceName(mDeviceID);
		return mName;
	}

	/**
	 * 获取设备名字
	 * 
	 * 
	 * 
	 * @return 返回设备名字
	 */
	public boolean setDeviceName(String newname) {
		return IppCoreJni.fnSetDeviceName(mDeviceID, newname);
	}

	/**
	 * 获取设备位置
	 * 
	 * 
	 * 
	 * @return 返回设备位置
	 */
	public String getDevicePostion() {
		return mPosition;
	}

	/**
	 * 获取设备属性
	 * 
	 * 
	 * 
	 * @return 返回设备属性
	 */
	public String getDeviceAttrible() {
		return mAttrib;
	}

	/**
	 * 获取设备关联用户列表
	 * 
	 * 
	 * 
	 * @return 返回设备关联用户列表
	 */
	public List<IppUser> getUserList() {
		return mUsers;
	}

	// /**
	// * 同步设置设备当前用户
	// *
	// * @param user 当前用户
	// *
	// * @return true :成功返回true，失败返回false
	// */
	//
	// public boolean setUser(int userid)
	// {
	//
	// if (IppCoreJni.setUser(mDeviceID, userid))
	// {
	//
	// return true;
	// }
	// return false;
	//
	// }

	public String getUUID() {

		return mUUID;
	}

	public int setWifiSSIDAndPassword(String ssidName, String wifiPwd) {
		if(mProtocolType == IppConstractData.IPP_LAN) {
			return IppCoreJni.fnSetWIFISSIDAndPassword(mDeviceID, ssidName,
				wifiPwd);
		}
		
		return -1;
	}
	
	public void sendCommand(String string) {
		if(mProtocolType == IppConstractData.IPP_LAN) {
			IppCoreJni.fnSendCommand(mDeviceID, string);
		}
	}
	
	public void sendCommandByBinary(byte[] data){
		if(mProtocolType == IppConstractData.IPP_LAN){
			IppCoreJni.fnSendCommandByBinary(mDeviceID, data);
		}
	}

	@Override
	public String toString() {
		// TODO Auto-generated method stub
		String str = new String();
		str += " mDeviceID = " + mDeviceID;
		str += " mFunctionID = " + mFunctionID;
		str += " mUUID = " + mUUID.toString() + "\n";
		str += " mName = " + mName + "\n";
		str += " mPosition = " + mPosition + "\n";
		str += " mAttrib = " + mAttrib + "\n";
		str += " mProtocolType = " + mProtocolType + "\n";
		str += " mType = " + mType + "\n";
		str += " status = " + status + "\n";
		str += " keyinfo = " + keyinfo + "\n";
		str += " sn = " + sn + "\n";
		str += " devicetype = " + devicetype;
		str += " mUsername  = " + mUsername;
		return str;
	}
}