package com.changhong.ippmodel;

import com.changhong.ippctrl.IFridgeFunSets;
import com.changhong.ippjni.IppCoreJni;

public class IppFridge extends IppDevice implements IFridgeFunSets
{
    int mPowerMode;
    float mColdTemprature;
    float mFreezeTemprature;
    float mVariableTemprature;
    int[] mFoods;

    public IppFridge(int power, float coldtemp, float freezetemp,
    		float variabletemp, int[] foods, int id, long funids,String uuid,
            String name, String positon, String attrib, int protocol,int type
            , String sta, String key,
            String serial, String ctype,int ctrlflag,String username,int userid,String ip)
    {
        super(ip,username,userid,ctrlflag,id, funids, uuid, name, positon, attrib, protocol,type,sta,key,serial,ctype);
        mPowerMode = power;
        mColdTemprature = coldtemp;
        mFoods = foods;
        mFreezeTemprature = freezetemp;
        mVariableTemprature = variabletemp;

        // TODO Auto-generated constructor stub
    }

//    /**
//     * @param
//     * 
//     * @return
//     */
//    @Override
//    public boolean setPowerMode(int mode)
//    {
//
//        if (setPowerMode(mDeviceID, mode))
//        {
//            mPowerMode = mode;
//            return true;
//        }
//        return false;
//    }

    /**
     * @param
     * 
     * @return
     */
    @Override
    public boolean setColdTemprature(int temp)
    {
        if (setColdTemprature(mDeviceID, temp))
        {
            mColdTemprature = temp;
            return true;
        }
        return false;
    }

    /**
     * @param
     * 
     * @return
     */
    @Override
    public boolean setFreezeTemprature(int temp)
    {

        if (setFreezeTemprature(mDeviceID, temp))
        {
            mFreezeTemprature = temp;
            return true;
        }
        return false;
    }

    /**
     * @param
     * 
     * @return
     */
    @Override
    public boolean setVariableTemprature(int temp)
    {
        if (setVariableTemprature(mDeviceID, temp))
        {
            mVariableTemprature = temp;
            return true;
        }
        return false;
    }

    /**
     * @param
     * 
     * @return
     */
   

    /**
     * @param
     * 
     * @return
     */
    @Override
    public int getColdTemprature()
    {

        return IppCoreJni.getIBColdTemprature(mDeviceID);
    }

    /**
     * @param
     * 
     * @return
     */
    @Override
    public int getFreezeTemprature()
    {
        return IppCoreJni.getIBFreezeTemprature(mDeviceID);
    }

    /**
     * @param
     * 
     * @return
     */
    @Override
    public int getVariableTemprature()
    {
        return IppCoreJni.getIBVariableTemprature(mDeviceID);
    }

//    /**
//     * @param
//     * 
//     * @return
//     */
//
//    boolean setPowerMode(int id, int mode)
//    {
//
//        return IppCoreJni.setPowerMode(id, mode);
//    }

    /**
     * @param
     * 
     * @return
     */

    boolean setColdTemprature(int id, int temp)
    {
        return IppCoreJni.setIBColdTemprature(id, temp);
    }

    /**
     * @param
     * 
     * @return
     */

    boolean setFreezeTemprature(int id, int temp)
    {
        return IppCoreJni.setIBFreezeTemprature(id, temp);
    }

    /**
     * @param
     * 
     * @return
     */

    boolean setVariableTemprature(int id, int temp)
    {
        return IppCoreJni.setIBVariableTemprature(id, temp);
    }

    @Override
    public boolean isFunctionEnable(long funid, long result)
    {
        // TODO Auto-generated method stub
        return (mFunctionID | funid) == result;
    }

    @Override
    public int getPowerMode()
    {
        // TODO Auto-generated method stub
        return mPowerMode;
    }

    @Override
    public String toString()
    {
        // TODO Auto-generated method stub
        String foods = new String();
        for(int i=0;i<mFoods.length;i++)
            foods+= " "+mFoods[i];
        
        
        return super.toString()+"\n"+"mColdTemprature = " +mColdTemprature+
        		"  mPowerMode = "+mPowerMode+"mFreezeTemprature = "+mFreezeTemprature+
     "mVariableTemprature = "+mVariableTemprature+"foods "+ foods;
   
       
        
        
        
    }

	

	@Override
	public boolean setWorkMode(int mode, int onoff) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBWorkMode(mDeviceID, mode,onoff);
	}

	

	@Override
	//FIXME:
	public boolean setPowerMode(int mode) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public int getSensorColdTemprature() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBSensorColdTemprature(mDeviceID);
	}

	@Override
	public int getSensorFreezeTemprature() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBSensorFreezeTemprature(mDeviceID);
	}

	@Override
	public int getSensorVariableTemprature() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBSensorVariableTemprature(mDeviceID);
	}

	@Override
	public int getIndoorTemprature() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBIndoorTemprature(mDeviceID);
	}

	@Override
	public boolean setHighTimeStart(int hours, int second) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBHighTimeStart(mDeviceID, hours, second);
	}

	@Override
	public boolean setHighTimeEnd(int hours, int second) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBHighTimeEnd(mDeviceID, hours, second);
	}

	@Override
	public boolean setLowTimeStart(int hours, int second) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBLowTimeStart(mDeviceID, hours, second);
	}

	@Override
	public boolean setLowTimeEnd(int hours, int second) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBLowTimeEnd(mDeviceID, hours, second);
	}

	@Override
	public int getWorkMode(int mode) {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBWorkMode(mDeviceID,mode);
	}

	@Override
	public int[] getDoorStatus() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBDoorStatus(mDeviceID);
	}

	@Override
	public boolean setWIFISSID(String ssid) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBWIFISSID(mDeviceID,ssid);
	}

	@Override
	public boolean setWIFIPASSWORD(String password) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBWIFIPASSWORD(mDeviceID,password);
	}

	@Override
	public boolean setACTIVECODE(String activecode) {
		// TODO Auto-generated method stub
		return IppCoreJni.setIBACTIVECODE(mDeviceID,activecode);
	}

	@Override
	public int getLowTimeStart() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBLowTimeStart(mDeviceID);
	}

	@Override
	public int getLowTimeEnd() {
		// TODO Auto-generated method stub
		return IppCoreJni.getIBLowTimeEnd(mDeviceID);
	}

	
	
      
}
