package com.changhong.ippservice;

import java.util.ArrayList;
import java.util.List;

import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.util.Log;

import com.changhong.ippctrl.IIppCore;
import com.changhong.ippctrl.IIppPlatform;
import com.changhong.ippctrl.IppPlatform;
import com.changhong.ippjni.IppCoreJni;
import com.changhong.ippmodel.FavouriteProgram;
import com.changhong.ippmodel.FriendTO;
import com.changhong.ippmodel.IIppEvent;
import com.changhong.ippmodel.IPPMsg;
import com.changhong.ippmodel.IppDevice;
import com.changhong.ippmodel.IppEventMsg;
import com.changhong.ippmodel.IppHocoStatus;
import com.changhong.ippmodel.IppUser;
import com.changhong.ippmodel.IppVersion;
import com.changhong.ippmodel.RemoteOrderChannel;
import com.changhong.ippmodel.VoiceMsg;


public class IppCoreService extends Service {
	String TAG = "IppCoreService";
	static IIppEvent eventif = null;
	IppCoreBinder mBinder = new IppCoreBinder();
	IppPlatform mPlat = null;
	static IppEvent ippevent=null;
	private EventHandler mHandler;
	 
	public class IppEvent implements IIppEvent {

		@Override
		public void onUpdateValuesList(List<IppEventMsg> events) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onUpdateValuesList(events);
		}

		@Override
		public void onDeviceRemove(int id) {
			// TODO Auto-generated method stub
			Log.v(TAG, "onDeviceRemove" + id);
			if (eventif != null)
				eventif.onDeviceRemove(id);
		}

		@Override
		public void onDeviceAdd(IppDevice newdevice) {
			// TODO Auto-generated method stub

			Log.v(TAG, "onDeviceAdd" + newdevice.getDeviceID());
			if (eventif != null)
				eventif.onDeviceAdd(newdevice);
		}

		@Override
		public void onDeviceEventUpdate(int eventtype, int eventvalue) {
			// TODO Auto-generated method stub
			Log.v(TAG, "onDeviceEventUpdate");
			if (eventif != null)
				eventif.onDeviceEventUpdate(eventtype, eventvalue);
		}

		@Override
		public void onIPPDeviceSetAck(IppDevice dev, int funid, int isok) {
			// TODO Auto-generated method stub
			// Log.v(TAG, "onIPPDeviceSetAck" );
			if (eventif != null)
				eventif.onIPPDeviceSetAck(dev, funid, isok);
		}

		@Override
		public void onIPPNetworkDisconnect() {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onIPPNetworkDisconnect();
		}

		@Override
		public void onDeviceEventReport(IppDevice dev, int eventtype,
				int param1, String param2) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onDeviceEventReport(dev, eventtype, param1, param2);
		}

		@Override
		public void onSendVoiceMsgResponse(int recvusr, boolean success) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onSendVoiceMsgResponse(recvusr, success);
		}

		

		@Override
		public void onRecvVoiceMsg(VoiceMsg msg) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onRecvVoiceMsg(msg);
		}

		@Override
		public void onIPPDeviceChannelChange(String ownerID, String devsn,
				String channelid, String channelname) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onIPPDeviceChannelChange(ownerID, devsn, channelid,
						channelname);
		}

		@Override
		public void onKickOff(String userid, int logintype, String msg) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onKickOff(userid, logintype, msg);
		}

		@Override
		public void onFriendOnline(String friendID, boolean online) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onFriendOnline(friendID, online);
		}

		@Override
		public void onDeviceOnline(String ownerID, String devsn, int devtype,
				boolean online) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onDeviceOnline(ownerID, devsn, devtype, online);
		}

		@Override
		public void onMsgReceived(IPPMsg msg) {
			if(msg!=null){
				
				
				Log.v(TAG, msg.toString());
			}
			
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onMsgReceived(msg);
		}

		@Override
		public void onMinaReturn(String json) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onMinaReturn(json);
		}

		@Override
		public void onGetScreen(int devid,byte[] bitmap) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.onGetScreen(devid,bitmap);
		}

//		@Override
//		public void OnSendHocoStatus(int id, IppHocoStatus status) {
//			// TODO Auto-generated method stub
//			if (eventif != null)
//				eventif.OnSendHocoStatus(id,status);
//		}

//		@Override
//		public void OnErrorSend(int id, int mError, int mErrorValue) {
//			// TODO Auto-generated method stub
//			if (eventif != null)
//				eventif.OnErrorSend(id,mError,mErrorValue);
//		}
		@Override
		public void OnStatusReport(String uuid, String heaterstatus) {
			// TODO Auto-generated method stub
			if (eventif != null)
				eventif.OnStatusReport(uuid,heaterstatus);
		}

		@Override
		public void OnSendHocoStatus(int id, IppHocoStatus status) {
			// TODO Auto-generated method stub
			if(eventif != null)
				eventif.OnSendHocoStatus(id, status);
			
		}

		@Override
		public void OnErrorSend(int id, int mError, int mErrorValue) {
			// TODO Auto-generated method stub
			if(eventif != null)
				eventif.OnErrorSend(id, mError, mErrorValue);
			
		}

		@Override
		public void OnSendCookerTotalTime(int id, int cookernum, int totaltime) {
			if(eventif != null)
				eventif.OnSendCookerTotalTime(id, cookernum, totaltime);
		}

		@Override
		public void OnSendCookerTimeLeft(int id, int timenum, int timeleft) {
			// TODO Auto-generated method stub
			
		}

		@Override
		public void OnSendHighHocoStatus(int id, IppHocoStatus status) {
			// TODO Auto-generated method stub
			if(eventif != null)
				eventif.OnSendHighHocoStatus(id, status);
			
		}

		@Override
		public void onDeviceEvent(IppDevice dev, String data, int length) {
			// TODO Auto-generated method stub
			
		}

		@Override
		public void onDeviceEvent(IppDevice dev, byte[] data) {
//			Log.d("", "onDeviceEvent");
			if (eventif != null)
				eventif.onDeviceEvent(dev,data);
			
		}

//		@Override
//		public void OnSendCookerTotalTime(int id, int cookernum, int totaltime) {
//			// TODO Auto-generated method stub
//			if (eventif != null)
//				eventif.OnSendCookerTotalTime(id, cookernum, totaltime);
//		}
//		
//		@Override
//		public void OnSendCookerTimeLeft(int id, int timenum, int timeleft) {
//			// TODO Auto-generated method stub
//			if (eventif != null)
//				eventif.OnSendCookerTimeLeft( id,  timenum,  timeleft);
//		}
	}

    private class EventHandler extends Handler {
        public static final int EVENT_IPP_START = 0x10;
        public static final int EVENT_IPP_STOP  = 0x11;
        private HandlerThread eventThread;
        public EventHandler(Looper looper) {
            super(looper);
        }

        @Override
        public void handleMessage(Message msg) {
            switch (msg.what) {
                case EVENT_IPP_START :
                    Log.d(TAG, "handle ipp core init "+Thread.currentThread().getId());
                    IppCoreJni.initCore(ippevent);
                    //TODO:
//                    IppCoreJni.fnSetDeviceOnlineType(769);
                    Log.d(TAG, "handle ipp core init finished");
                    break;
                case EVENT_IPP_STOP :
                    Log.d(TAG, "handle ipp core deinit "+Thread.currentThread().getId());
                    IppCoreJni.deinitCore();
                    getLooper().quit();
                    Log.d(TAG, "handle ipp core deinit finished");
                    break;
            }
        }
    }
    
	public class IppCoreBinder extends Binder implements IIppCore, IIppPlatform {

		public IppCoreBinder getService() {

			return IppCoreBinder.this;
		}

		List<IppDevice> mDevices = null;

		@Override
		public List<IppDevice> getIppDevices() {

			mDevices = IppCoreJni.getNativeIppDevices();
			return mDevices;

		}

		@Override
		public List<IppDevice> getIppDevices(int type) {
			// TODO Auto-generated method stub
			List<IppDevice> devices = new ArrayList<IppDevice>();

			if (mDevices == null)
				getIppDevices();

			for (int i = 0; i < mDevices.size(); i++) {

				if (mDevices.get(i).getDeviceType() == type)
					devices.add(mDevices.get(i));

			}
			return devices;

		}

		@Override
		public IppDevice getIppDevice(int id) {
			// TODO Auto-generated method stub
			if (mDevices == null)
				getIppDevices();

			for (int i = 0; i < mDevices.size(); i++) {

				if (mDevices.get(i).getDeviceID() == id)
					return mDevices.get(i);

			}
			return null;
		}

		public IppVersion getVersion() {
			return IppCoreJni.getVersion();
		}

		@Override
		public boolean registerEventHandler(IBinder events) {

			eventif = (IIppEvent)events;
            Message msg = mHandler.obtainMessage(EventHandler.EVENT_IPP_START);
            msg.sendToTarget();
            return true;
		}

		

	

		

		@Override
		public List<FriendTO> getFriendsList(String userid) {
			// TODO Auto-generated method stub
			return mPlat.getFriendsList(userid);
		}

		

		

		@Override
		public String toBeFriendRequest(String userid, String phoneNum,
				String info) {
			// TODO Auto-generated method stub
			return mPlat.toBeFriendRequest(userid, phoneNum, info);
		}

		@Override
		public boolean confirmFriendRequest(String srctargetid, String friendid,
				String flag) {
			// TODO Auto-generated method stub
			return mPlat.confirmFriendRequest(srctargetid, friendid, flag);
		}

		

		@Override
		public String deviceInitBinding(String userid, String phoneNum,
				String devicetype, String deviceSN, String authocode) {
			// TODO Auto-generated method stub
			return mPlat.deviceInitBinding(userid, phoneNum, devicetype,
					deviceSN, authocode);
		}

		@Override
		public boolean deviceAutho(String userid, String targetid,
				String devicetype, String deviceSN, int authoflag) {
			// TODO Auto-generated method stub
			return mPlat.deviceAutho(userid, targetid, devicetype, deviceSN,
					authoflag);
		}

		@Override
		public List<IppDevice> getDevice4Owner(String userid) {
			// TODO Auto-generated method stub
			return mPlat.getDevice4Owner(userid);
		}

		@Override
		public List<IppDevice> getDevice4User(String userid) {
			// TODO Auto-generated method stub
			return mPlat.getDevice4User(userid);
		}

		

		
		

		@Override
		public boolean setPlatformIP(String ip, String checkip,String language) {
			// TODO Auto-generated method stub
			return mPlat.setPlatformIP(ip, checkip,language);
		}

		
		@Override
		public boolean checkUser(String phonenum) {
			// TODO Auto-generated method stub
			return mPlat.checkUser(phonenum);
		}

		

		@Override
		public String getPhoneMD(String phoneNum) {
			// TODO Auto-generated method stub
			return mPlat.getPhoneMD(phoneNum);
		}

	
		@Override
		public boolean deviceNoBinding(String id, String deviceid) {
			// TODO Auto-generated method stub
			return mPlat.deviceNoBinding(id, deviceid);
		}

		
		@Override
		public boolean deleteFriend(String id, String friendid) {
			// TODO Auto-generated method stub
			return mPlat.deleteFriend(id, friendid);
		}

		@Override
		public boolean loginOut() {
			// TODO Auto-generated method stub
			return mPlat.loginOut();
		}

		@Override
		public boolean deviceCancleAutho(String userid, String targetid,
				String devicetype, String deviceSN) {
			// TODO Auto-generated method stub
			return mPlat.deviceCancleAutho(userid, targetid, devicetype,
					deviceSN);
		}

		

		@Override
		public boolean changePwd(String phonenum, String oldpwd, String newpwd) {
			// TODO Auto-generated method stub
			return mPlat.changePwd(phonenum, oldpwd, newpwd);
		}

	

		@Override
		public String requestSameView(String devid, String targetusrid,
				String channelname) {
			// TODO Auto-generated method stub
			return mPlat.requestSameView(devid, targetusrid, channelname);
		}

		@Override
		public String responseSameView(String targetusrid, int flag,String devsn, String channelname) {
			// TODO Auto-generated method stub
			return mPlat.responseSameView(targetusrid, flag, devsn, channelname);
		}

		@Override
		public String requestAuto(String requUid, String respUid, String Devid,
				int authoLevel) {
			// TODO Auto-generated method stub
			return mPlat.requestAuto(requUid, respUid, Devid, authoLevel);
		}

		
		@Override
		public String sendVoiceMsg(String srcusrid, String targetusrid, String msg,
				String format, String time, byte[] voice, int bit, int rate,
				int duration) {
			// TODO Auto-generated method stub
			return mPlat.sendVoiceMsg(srcusrid, targetusrid, msg, format, time,
					voice, bit, rate, duration);
		}

		@Override
		public boolean sendChangeTVChannel(String usrid, String owner, String devsn,
				String channelid, String channelname) {
			// TODO Auto-generated method stub
			return mPlat.sendChangeTVChannel(usrid, owner, devsn, channelid,
					channelname);
		}

		@Override
		public void getFriendListNofity(String[] userid) {
			// TODO Auto-generated method stub
			mPlat.getFriendListNofity(userid);
		}

		@Override
		public void getDeviceListNofity(String[] devid) {
			// TODO Auto-generated method stub
			mPlat.getDeviceListNofity(devid);
		}

		@Override
		public boolean updateDevBindCaptcha(String sn, int type, String captcha) {
			// TODO Auto-generated method stub
			return mPlat.updateDevBindCaptcha(sn, type, captcha);
		}

		@Override
		public String userRegistByPhone(String phoneNum, String upw,
				String captcha, String nickname) {
			// TODO Auto-generated method stub
			return mPlat.userRegistByPhone(phoneNum, upw, captcha, nickname);
		}

		@Override
		public IppUser loginByUserName(String userName, String password,
				String devicetype, String devcode, String devmode) {
			// TODO Auto-generated method stub
			return mPlat.loginByUserName(userName, password, devicetype, devcode, devmode);
		}

		@Override
		public boolean deleteAccount(String phone) {
			// TODO Auto-generated method stub
			return mPlat.deleteAccount(phone);
		}

		@Override
		public boolean sendIPPMessage(String targetid,int msgclass, int autodes, String title,
				String content, String time) {
			// TODO Auto-generated method stub
			return mPlat.sendIPPMessage(targetid,msgclass, autodes, title, content, time);
		}

		@Override
		public String fnACSetJsonString(String request,String address) {
			// TODO Auto-generated method stub
			return mPlat.fnACSetJsonString(request,address);
		}

		@Override
		public String getTVChannel(String devsn) {
			// TODO Auto-generated method stub
			return mPlat.getTVChannel(devsn);
		}

		@Override
		public List<IppDevice> getDeviceAuthFromFriend(String friendsuerid) {
			// TODO Auto-generated method stub
			return mPlat.getDeviceAuthFromFriend(friendsuerid);
		}

		@Override
		public List<IppDevice> getDeviceAuthToFriend(String friendsuerid) {
			// TODO Auto-generated method stub
			return mPlat.getDeviceAuthToFriend(friendsuerid);
		}

		@Override
		public boolean fnACConnectMina(String usrid) {
			// TODO Auto-generated method stub
			return mPlat.fnACConnectMina(usrid);
		}

		@Override
		public boolean sendJsonToMina(String userid) {
			// TODO Auto-generated method stub
			return mPlat.sendJsonToMina(userid);
		}

		@Override
		public IppUser getDeviceBindStatus(String devsn, String devtype) {
			// TODO Auto-generated method stub
			return mPlat.getDeviceBindStatus(devsn, devtype);
		}

		@Override
		public boolean sendSMS(String phonenum, String content) {
			// TODO Auto-generated method stub
			return mPlat.sendSMS(phonenum, content);
		}

		@Override
		public boolean upgrateFavoriteProgramList(String userid,
				List<FavouriteProgram> list) {
			// TODO Auto-generated method stub
			return mPlat.upgrateFavoriteProgramList(userid, list);
		}

		@Override
		public List<FavouriteProgram> downgrateFavoriteProgramList(String userid) {
			// TODO Auto-generated method stub
			return mPlat.downgrateFavoriteProgramList(userid);
		}

		@Override
		public boolean sendIPPTimingMessage(String targetid, int msgclass,
				int autodes, String title, String content, String time,
				String triggertime) {
			// TODO Auto-generated method stub
			return mPlat.sendIPPTimingMessage(targetid, msgclass, autodes, title, content, time, triggertime);
		}

		@Override
		public boolean addOrderProgramme(String devsn, int channelIndex,
				String dtartDate, String durationTime, String programeName) {
			// TODO Auto-generated method stub
			return mPlat.addOrderProgramme(devsn, channelIndex, dtartDate, durationTime, programeName);
		}

		@Override
		public boolean deleteOrder(String devsn, int miIndex,
				String programmerName, String startNotifyDate) {
			// TODO Auto-generated method stub
			return mPlat.deleteOrder(devsn, miIndex, programmerName, startNotifyDate);
		}

		@Override
		public List<RemoteOrderChannel> getOrderList(String devsn) {
			// TODO Auto-generated method stub
			return mPlat.getOrderList(devsn);
		}

		@Override
		public void setWLANIP(String ip) {
			// TODO Auto-generated method stub
			
		}

	

	
	}

	@Override
	public boolean onUnbind(Intent intent) {
		Log.w(TAG, "onUnbind ");	
        this.mPlat = null;
        Message msg = mHandler.obtainMessage(EventHandler.EVENT_IPP_STOP);
        msg.sendToTarget();
        return super.onUnbind(intent);
	}

	@Override
	public IBinder onBind(Intent intent) {
		Log.w(TAG, "onBind thread:" + Thread.currentThread().getName());
		mPlat = new IppPlatform();
		if(ippevent==null)
			ippevent = new IppEvent();
		
		HandlerThread eventThread = new HandlerThread("eventThread");
        eventThread.start();
        mHandler = new EventHandler(eventThread.getLooper());

        return this.mBinder;
	}

	@Override
    public void onDestroy() {
		Log.d(TAG, "onDestroy");
        super.onDestroy();
    }

}